boost1.74 (1.74.0+ds1-20) unstable; urgency=medium

  * [dc6fadf] Better handling of the upstream version number.

 -- Anton Gladky <gladk@debian.org>  Mon, 30 Jan 2023 18:20:12 +0100

boost1.74 (1.74.0+ds1-19) unstable; urgency=medium

  * [fbde9b9], [6dec554] Use versioned deps on -dev packages in d/tests.
    (Closes: #1028391)
  * Drop many .travis.yml files from the source tarball.

 -- Anton Gladky <gladk@debian.org>  Mon, 30 Jan 2023 07:31:54 +0100

boost1.74 (1.74.0-18.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update PEP-3149 patch to add support for Python 3.11 (which dropped the SO
    sysconfig variable). (Closes: #1024252)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 24 Dec 2022 21:06:20 -0400

boost1.74 (1.74.0-18) unstable; urgency=medium

  * [754888a] Disable blhc-check in gitlab-ci.
  * [9e420e3] Fix loading of bosst-python 3.11 extensions. (Closes: #1025658)
  * [7aab252] Trim trailing whitespace.

 -- Anton Gladky <gladk@debian.org>  Sat, 17 Dec 2022 21:19:02 +0100

boost1.74 (1.74.0-17) unstable; urgency=medium

  * Fix FTBFS with libxslt version 1.1.35 (closes: #1016321, #1015095).
  * Fix shlibs symbols for Python 3.10 (closes: #1015998).

 -- Giovanni Mascellani <gio@debian.org>  Sun, 28 Aug 2022 11:13:55 +0200

boost1.74 (1.74.0-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/74a94fe7f47b2e3f707cf4589fbb635a50f22ad2.patch:
    - cherry-pick upstream asio change to fix exit failures with openssl 3.0.4
      Closes: #1014180, #1013530, #1013472 and many others probably

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Jul 2022 09:34:02 +0200

boost1.74 (1.74.0-16) unstable; urgency=medium

  [ Bernhard Übelacker ]
  * [fa25a26] Make enum fix used at i386, armhf and armel.

 -- Anton Gladky <gladk@debian.org>  Thu, 02 Jun 2022 06:26:21 +0200

boost1.74 (1.74.0-15) unstable; urgency=medium

  [ Bernhard Übelacker ]
  * [9826f74] Fix enums at i386.
  * [7f367ea] Add test for enums.

 -- Anton Gladky <gladk@debian.org>  Tue, 31 May 2022 06:52:56 +0200

boost1.74 (1.74.0-14) unstable; urgency=medium

  * Fix b2 compilation on kFreeBSD (closes: #1003384).
  * Fix missing UTIME_OMIT symbol on kFreeBSD.

 -- Giovanni Mascellani <gio@debian.org>  Fri, 14 Jan 2022 09:41:55 +0100

boost1.74 (1.74.0-13) unstable; urgency=medium

  [ Anton Gladky ]
  * Import fixes from Ubuntu
  * [fabaa30] Import upstream patch:
    fix asio compilation with -fno-rtti. (Closes: #999778)

  [ Matthias Klose ]
  * [2098d38] Explicitly set fpu mode on armhf. (Closes: #999853)

  [ Graham Inggs ]
  * [107cd01] Cherry-pick upstream commits:
      - Convert Python 3.1+ to use public C API for filenames
      - Replace private _Py_fopen() with public fopen(): private _Py_fopen()
      - Fix Python 3.10 (PEP-620) incompatibility

  [ Gianfranco Costamagna ]
  * [7d6aad9] Cherry-pick upstream commits:
    Cherry-pick upstream commits:
      - e193f080c7d209516ac9b712fa0c50bb08026fa2.patch
        Fix regex to allow search for python3.10 too (fixes e.g.
        ros-image-common build)

 -- Anton Gladky <gladk@debian.org>  Fri, 19 Nov 2021 15:23:15 +0100

boost1.74 (1.74.0-12) unstable; urgency=medium

  * [96b62ca] Update autopkgtest for b/context. (Closes: #995571)

 -- Anton Gladky <gladk@debian.org>  Thu, 28 Oct 2021 23:05:58 +0200

boost1.74 (1.74.0-11) unstable; urgency=medium

  [ Anton Gladky ]
  * [fffe3c2] Fix includes and enable graph-tests.

  [ Helmut Grohne ]
  * [e3ba32f] Multiarchify python3-dev runtime dependency. (Closes: #983100)

  [ Graham Inggs ]
  * [7d9d824] Fix boost.mpi Python module install. (Closes: #994753)

 -- Anton Gladky <gladk@debian.org>  Sun, 26 Sep 2021 19:23:11 +0200

boost1.74 (1.74.0-10) unstable; urgency=medium

  * [0bf0df0] Fix autopkgtests in testing. (Closes: #992223)

 -- Anton Gladky <gladk@debian.org>  Thu, 16 Sep 2021 23:00:19 +0200

boost1.74 (1.74.0-9) unstable; urgency=medium

  [ Andreas Beckmann ]
  * libboost1.74-dev: Smoothen upgrades from buster by depending on
    libstdc++-${gxx:major}-dev using the build-time version of g++ instead of
    the virtual libstdc++-dev provided by multiple packages.
    (Closes: #984838)

 -- Anton Gladky <gladk@debian.org>  Sat, 13 Mar 2021 09:21:38 +0100

boost1.74 (1.74.0-8) unstable; urgency=medium

  * [85a2610] Fix compilation warnings. (Closes: #980497)
  * [1cd99ad] Set Standards-version to 4.5.1

 -- Anton Gladky <gladk@debian.org>  Sat, 23 Jan 2021 20:00:18 +0100

boost1.74 (1.74.0-7) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * [8b3d244] Fix ptree_serialization failing to build with boost1.74.
    (Closes: #977230)

 -- Anton Gladky <gladk@debian.org>  Mon, 04 Jan 2021 22:17:05 +0100

boost1.74 (1.74.0-6) unstable; urgency=medium

  * [25520d6] Fix detection of ASM-files for mipsel. (Closes: #977921)

 -- Anton Gladky <gladk@debian.org>  Sat, 26 Dec 2020 15:18:55 +0100

boost1.74 (1.74.0-5) unstable; urgency=medium

  [ Pino Toscano ]
  * [6a1ba93] Add a way to identify GNU/Hurd with b2. (Closes: #977414)

  [ Anton Gladky ]
  * [9569ec1] Update watch file format version to 4.

 -- Anton Gladky <gladk@debian.org>  Thu, 17 Dec 2020 21:24:03 +0100

boost1.74 (1.74.0-4) unstable; urgency=medium

  * [283f917] Fix description for nowide-library
  * [fa3c8ab] Add Breaks+Replaces: libleatherman-dev (<< 1.12.1+dfsg-1.1~)
              to libbost1.74-dev. (Closes: #977310)

 -- Anton Gladky <gladk@debian.org>  Sun, 13 Dec 2020 22:55:30 +0100

boost1.74 (1.74.0-3) unstable; urgency=medium

  * [b66a37a] Install b2. (Closes: #975446)
  * [508a668] Bump debhelper from old 10 to 12.
    + debian/rules: Rely on default use of dh_missing rather
      than using dh_install --list-missing.
  * [97c2bd1] Set debhelper-compat version in Build-Depends.
  * [e26eec0] Remove listed license files
  * [51d69a5] Drop transition for old debug package migration.
  * [076941c] Remove Section on some libs  hat duplicate source.

 -- Anton Gladky <gladk@debian.org>  Fri, 27 Nov 2020 20:37:42 +0100

boost1.74 (1.74.0-2) unstable; urgency=medium

  * [a634d58] Add libboost-nowide1.74-dev into libboost1.74-dev.
  * [c60ee8c] Allow graph, log and thread tests to output into stderr.
  * [4b70713] Remove usage of deprecated headers. (Closes: #974577)

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Nov 2020 22:30:42 +0100

boost1.74 (1.74.0-1) unstable; urgency=medium

  * New upstream version.
    + Update Debian patches.
    + Update debian/copyright.
  * Fix little bugs in debian/rules.

 -- Giovanni Mascellani <gio@debian.org>  Sun, 18 Oct 2020 20:13:31 +0200

boost1.71 (1.71.0-7) unstable; urgency=medium

  * Do not install stacktrace_backtrace on m68k, where it is not built
    (closes: #962072). Thanks to Adrian Glaubitz for the patch.
  * Fix broken macOS detection, conflicting with GNU/Hurd
    (closes: #960090). Thanks to Pino Toscano for the patch.
  * Fix some lintian warnings.

 -- Giovanni Mascellani <gio@debian.org>  Mon, 12 Oct 2020 09:50:03 +0200

boost1.71 (1.71.0-6) unstable; urgency=medium

  * [ef8987f] Fix python autopkgtest. (closes: #950688)
  * [aad42c4] Trim trailing whitespace.
  * [5b9edee] Fix failing autopkgtest graph-parallel

 -- Anton Gladky <gladk@debian.org>  Tue, 04 Feb 2020 22:10:35 +0100

boost1.71 (1.71.0-5) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Cherrypick further patches to document and optimize context on
    s390x. LP: #1859941
  * Simplify debian/rules slightly, by dropping resetting the default
    values.
  * Skip building numpy on Ubuntu:i386.

  [ Giovanni Mascellani ]
  * Expose Python version information in dependencies to Python packages, so
    that removing a supported Python version does not result in silently
    broken reverse dependencies (closes: #948273). Thanks to Andreas Beckmann
    for the patch.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 30 Jan 2020 15:50:23 +0000

boost1.71 (1.71.0-4) unstable; urgency=medium

  [ Giovanni Mascellani ]
  * Transition to the Salsa CI team pipeline.
  * Enable -context on mips64el (closes: #948015).
  * Set graph-parallel test as flaky until
    https://github.com/boostorg/graph_parallel/issues/21 is resolved.
  * Compile test context/demo1.cpp only on amd64, because it uses some
    architecture specific instructions.

  [ Dimitri John Ledkov ]
  * Add chrono to thread autopkgtest until
    https://github.com/boostorg/boost_install/issues/27 is resolved.

 -- Giovanni Mascellani <gio@debian.org>  Fri, 10 Jan 2020 14:26:58 +0100

boost1.71 (1.71.0-3) unstable; urgency=medium

  [ Giovanni Mascellani ]
  * Update autopkgtest dependencies to 1.71.
  * Fix some missing dependencies between -dev packages, found thanks to
    autopkgtest.
  * Remove signals from autopkgtest.
  * Cleanup Debian patches.

  [ Dimitri John Ledkov ]
  * Cherrypick upstream patch to enable context on s390x. LP: #1694926

 -- Giovanni Mascellani <gio@debian.org>  Fri, 03 Jan 2020 11:11:45 +0100

boost1.71 (1.71.0-2) unstable; urgency=medium

  * Enable -context on riscv64 (closes: #947651). Thanks to Aurelien Jarno for
    the patch.
  * Install cmake boost_headers files.

 -- Giovanni Mascellani <gio@debian.org>  Tue, 31 Dec 2019 15:25:01 +0100

boost1.71 (1.71.0-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Remove myself from uploaders.
  * Provide and Encode icuabi in libboost-regex shlibdeps. This de-couples
    boost & icu transitions.
  * Fix debian/watch to point at dl.bintray.com
  * Drop py2 builds. (Closes: #936227)
  * Drop Debian-only compat py library symlinks. (Closes: #914513)
  * Ship cmake files, hopefully they are right.
  * Enable documentation index.

  [ Giovanni Mascellani ]
  * Add -contract as dependency of -dev-all.
  * Update to new upstream release 1.71.0.
    + Acknowledge removal of signals library.
    + Tweak build script accordingly.
  * Regenerate bison grammar for jam at build time.
  * Enable LZMA and zstd filters in -iostreams.

 -- Giovanni Mascellani <gio@debian.org>  Thu, 26 Dec 2019 10:26:16 +0100

boost1.67 (1.67.0-13) unstable; urgency=medium

  * [c573257] Fix FTBFS in boost.compute with GCC-8. (Closes: #921247)
  * [086d453] Trim trailing whitespace.
  * [d21d6e3] Use secure URI in Homepage field.
  * [957aa8b] Bump debhelper from old 9 to 10.

 -- Anton Gladky <gladk@debian.org>  Mon, 04 Feb 2019 15:25:45 +0100

boost1.67 (1.67.0-12) unstable; urgency=medium

  * Add patch to fix FTBFS of package bali-phy on ppc64* (closes: #903665).
  * Ignore file .gitlab-ci.yml when creating the source package.
  * Expose supported Python version as virtual packages, so that reverse
    dependencies can depend on the right package (closes: #911625).
  * Work around broken architecture detection under x32.

 -- Giovanni Mascellani <gio@debian.org>  Wed, 23 Jan 2019 12:14:16 +0100

boost1.67 (1.67.0-11) unstable; urgency=medium

  [ Giovanni Mascellani ]
  * Split debian/rules into arch and indep rules, so that arch-independent
    packages are not uselessly built when arch-dependent packages are
    requested and viceversa (closes: #914053).
    + This should also fix some intermittent FTBFS (closes: #913709).
  * Backport patch to fix build on kFreeBSD (closes: #913710).
  * Quit quickly if compilation fails, in order to save on CPU cycles
    and produce easier-to-read build logs.

  [ Dimitri John Ledkov ]
  * Cherrypick predef upstream patch to correctly detect BOOST_OS_LINUX
    using __linux__ define (closes: #914688).

  [ Giovanni Mascellani ]
  * Replace other appearances of __linux with __linux__.

 -- Giovanni Mascellani <gio@debian.org>  Fri, 30 Nov 2018 18:12:49 +0100

boost1.67 (1.67.0-10) unstable; urgency=medium

  [ Giovanni Mascellani ]
  * Rebuild against icu 63.
    + Add shlibs versioning information and breakages so that reverse
      dependencies are rebuilt appropriately.
  * Fail on errors happening inside bash for loops (closes: #912910).

  [ Dimitri John Ledkov ]
  * Add breaks on nheko in unstable.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 13 Nov 2018 12:47:47 +0000

boost1.67 (1.67.0-9) unstable; urgency=medium

  * Drop rtupdate logic for python2, it was never ported to python3 and
    upstream has moved onto co-installable names anyway. Also python2
    default is not going change ever again.
  * Include patch to unbreak mongo testsuite with boost 1.67 program
    options.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Nov 2018 17:19:30 +0000

boost1.67 (1.67.0-8) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Giovanni Mascellani ]
  * Add a missing #include line.

 -- Giovanni Mascellani <gio@debian.org>  Fri, 26 Oct 2018 17:22:09 +0200

boost1.67 (1.67.0-7) unstable; urgency=medium

  * [99c7ebf] Remove dependency on libstdc++(-4.8|)-dev. (Closes: #908737)

 -- Anton Gladky <gladk@debian.org>  Thu, 13 Sep 2018 20:57:27 +0200

boost1.67 (1.67.0-6) unstable; urgency=medium

  * [d7d1d71] Add missing dependency in container-test

 -- Anton Gladky <gladk@debian.org>  Thu, 02 Aug 2018 17:36:08 +0200

boost1.67 (1.67.0-5) unstable; urgency=medium

  * [62204f4] Add missing dependencies for tests

 -- Anton Gladky <gladk@debian.org>  Wed, 01 Aug 2018 19:17:49 +0200

boost1.67 (1.67.0-4) unstable; urgency=medium

  [ Anton Gladky ]
  * [ca43632] Add autopkkgtest for boost-container
  * [de56556] Add autopkkgtest for boost-coroutine
  * [2a45bdf] Add autopkkgtest for boost-stacktrace

  [ Giovanni Mascellani ]
  * [75b7d7e] Fix dependency of libboost-numpy1.67-dev (closes: #905056).

 -- Anton Gladky <gladk@debian.org>  Tue, 31 Jul 2018 23:02:17 +0200

boost1.67 (1.67.0-3) unstable; urgency=medium

  * [4675688] Add graphviz into the Build-Depends-Indep
  * [5d193b8] Do not fail during copy on arch-indep build. (Closes: #904484)

 -- Anton Gladky <gladk@debian.org>  Wed, 25 Jul 2018 22:38:55 +0200

boost1.67 (1.67.0-2) unstable; urgency=medium

  * Add myself to uploaders
  * Add basic autopkgtests

 -- Anton Gladky <gladk@debian.org>  Fri, 20 Jul 2018 19:05:19 +0200

boost1.67 (1.67.0-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * coroutine2 is no longer excludable library, adjust debian/rules.
  * Cherrypick upstream patch to fix python module_init symbol visibility.
  * Further fixup boost-mpi-python library tag.
  * Correct mpi python extension suffix, as per PEP-3149.
  * Use separate stagedirs for sub-builds
  * Stop using pyid, which is now meant for python variants only
    (e.g. debug)
  * Switch to the new upstream python tags for python like libraries.
  * Continue to provide old names, as compat symlinks in the -dev packages
    only. This is to be dropped.
  * Add myself as uploader.

  [ Giovanni Mascellani ]
  * New upstream release.
  * Add myself as uploader.
  * Enable hardening flags.
  * Rewrite debian/copyright in better detail.

 -- Dimitri John Ledkov 🌈 <xnox@ubuntu.com>  Thu, 05 Jul 2018 12:03:59 +0100

boost1.65.1 (1.65.1+dfsg-1) unstable; urgency=medium

  [ Steve M. Robbins ]
  * New upstream.
  * Remove "Force use g++-6"
  * patches/chrono-duration.patch: Remove.  Obsoleted by upstream changes.
  * New package for Python.NumPy.  Closes: #853734.
  * New packages for Boost.Container, Boost.Stacktrace.

  [ Dimitri John Ledkov ]
  * Fixup py3 suffixes and symlinks.
  * In asciidoctor docs, do not use external webfonts.
  * In doxygen docs, use local mathjax library.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 25 Oct 2017 15:27:28 +0100

boost1.63 (1.63.0+dfsg-1) unstable; urgency=medium

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Wed, 28 Dec 2016 20:28:31 -0600

boost1.62 (1.62.0+dfsg-4) unstable; urgency=medium

  * New patch upstream-add-degree-reverse_graph.patch.

 -- Steve M. Robbins <smr@debian.org>  Sat, 12 Nov 2016 12:46:50 -0600

boost1.62 (1.62.0+dfsg-3) unstable; urgency=high

  * Build Boost.Python 2 & 3 bindings in separate builddirs. Closes: #842927

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Nov 2016 18:44:37 +0000

boost1.62 (1.62.0+dfsg-2) unstable; urgency=medium

  * Limit boost-fiber packages to architectures it is built on.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Oct 2016 08:36:55 +0100

boost1.62 (1.62.0+dfsg-1) unstable; urgency=medium

  * New upstream 1.62.
  * Add packages for Boost.Fiber.
  * Drop package libboost1.62-dbg in favour of using automatic debug
    package generation.
  * Refresh patches.  Drop add-missing-list-include.patch -- applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 16 Oct 2016 01:55:19 -0500

boost1.61 (1.61.0+dfsg-3) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Actually bump standards version.

  [ Steve M. Robbins ]
  * Install /usr/bin/b2, the canonical name of bjam.  Closes: #831431.
  * libboost-iostreams1.61.0: remove Priority Important.  Closes: #829301.

 -- Steve M. Robbins <smr@debian.org>  Sat, 15 Oct 2016 10:59:14 -0500

boost1.61 (1.61.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Aug 2016 21:10:58 +0200

boost1.61 (1.61.0+dfsg-2) experimental; urgency=high

  * Use DEB_HOST_GNU_TYPE for the compiler, because DEB_HOST_MULTIARCH is
    a lie - i386 port doesn't really exist, nor provides/uses i386
    compiler. Fixes FTBFS on i386.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Aug 2016 03:21:52 +0100

boost1.61 (1.61.0+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Drop upstream cherrypicked patches, no longer needed
  * Update example files and sort them
  * Force use g++-6
  * Add python3:Depends for python packages (pacify dh_python3 warnings)
  * Drop python2.5 depends
  * Require icu 57 or better

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 01 Aug 2016 14:05:10 +0100

boost1.60 (1.60.0+dfsg-6) unstable; urgency=medium

  * patches/fix-ebo_functor_holder.patch: New. Compile fix for copy
    constructor (thanks, Graham Inggs).  Closes: #824021.

  * patches/add-missing-list-include.patch: New.  Add missing <list>
    include (thanks, Graham Inggs).  Closes: #824022.

 -- Steve M. Robbins <smr@debian.org>  Sun, 15 May 2016 23:38:50 -0500

boost1.60 (1.60.0+dfsg-5) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Cherrypick upstream graph patch to fix ftbfs when adjacency_matrix.hpp
    template is used. Fixes FTBFS of sfcgal.

  [ Steve M. Robbins ]
  * patches/fix-auto-pointer-registration.patch: New.  Fixes auto-pointer
    registration in Boost.Python, affecting yade.  Closes: #823210.

 -- Steve M. Robbins <smr@debian.org>  Sat, 07 May 2016 22:23:17 -0500

boost1.60 (1.60.0+dfsg-4) unstable; urgency=medium

  * Fully enable context and coroutine on arm64, as it is available there.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 22 Apr 2016 14:52:41 +0100

boost1.60 (1.60.0+dfsg-3) unstable; urgency=medium

  * Drop all the without/just mpi build logic, Ubuntu no longer needs it,
    as Archive Reorg is complete and packages in main can now build-depend
    on packages in universe (e.g. mpi). Boost can now be in-sync between
    Debian and Ubuntu.
  * Drop context/coroutine from arm64, not build there.
  * Arch qualify all context/coroutine dependencies such that we don't
    declare dependencies on non-existant packages.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 22 Apr 2016 11:43:50 +0100

boost1.60 (1.60.0+dfsg-2) unstable; urgency=medium

  * Use --without-coroutine2 on arches that can't build context or
    coroutine; otherwise the build system tries to build context
    anyway.  Upstream bug https://svn.boost.org/trac/boost/ticket/9453

  * patches/fenv.patch: New.  Fix build failure on architectures
    (e.g. power pc) where feclearexcept() and friends may be a macro.

 -- Steve M. Robbins <smr@debian.org>  Sat, 16 Apr 2016 16:12:21 -0500

boost1.60 (1.60.0+dfsg-1) unstable; urgency=medium

  * New upstream version.  Closes: #809228.

  * control: Updated for 1.60 using update-control.py.
    - Add packages for type-erasure.
    - Restrict arch for context, coroutine, to avoid empty packages.
      Closes: #808626
    - Don't ship doc files.  Too many fail lintian checks.

  * copyright: Exclude *.js in repacked tarball to satisfy the pedants.
    - patches/provide-missing-source-jquery.patch: Remove since patched
      file no longer present.

  * patches/chrono-duration.patch:
  * patches/fix-ftbfs-python-3.3.patch:
  * patches/hppa-long-double-config.patch:
  * patches/no-gcc-march-options.patch:
  * patches/ppc64el-fp_traits-ibm-long-double.patch: Refreshed.

  * patches/pythonid.patch: Replaced by patches from upstream ticket.

  * patches/0002-Fix-a-regression-with-non-constexpr-types.patch:
  * patches/ec60c37295146bb80aa44a92cf416027b75b5ff7.patch:
  * patches/numeric-ublas-storage.hpp.patch:
  * patches/openssl-no-ssl3.patch: Remove.  Applied upstream.

  * patches/mpi-allocator-c++0x.patch: Drop gcc-4.x patch since gcc 4 not
    supported.

  * rules: Don't filter out the python 2.7 version when building
    user-config.jam.  Remove long-obsolete references to library "variant"
    (formerly was single/multi threaded, debug/release).

 -- Steve M. Robbins <smr@debian.org>  Mon, 21 Mar 2016 01:27:21 -0500

boost1.58 (1.58.0+dfsg-5) unstable; urgency=medium

  * Build Coroutine shared lib.  Closes: #802509.
  * patches/no-gcc-march-options.patch: New.  Don't use -march=i686 for
    x86 32-bit.  Closes: #794622.

 -- Steve M. Robbins <smr@debian.org>  Mon, 28 Dec 2015 00:19:48 -0600

boost1.58 (1.58.0+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to replace minified jquery with its non-minified version, as the
  * source was missing. (Closes: #735353)

 -- Tobias Frost <tobi@debian.org>  Sat, 21 Nov 2015 14:24:59 +0100

boost1.58 (1.58.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * patches/openssl-no-ssl3.patch. Throw exception if sslv3 context
    requested but OPENSSL_NO_SSL3 defined (Closes: #803881).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Nov 2015 11:41:19 +0100

boost1.58 (1.58.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS of ompl against boost1.58 by gcc5. (Closes: #797281)

 -- Anton Gladky <gladk@debian.org>  Sat, 03 Oct 2015 19:58:02 +0200

boost1.58 (1.58.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 02 Aug 2015 17:31:54 +0100

boost1.58 (1.58.0+dfsg-2) experimental; urgency=medium

  [ Dimitri John Ledkov ]
  * Cherry-pick upstream patch to fix FTBFS on sparc.

  [ Matthias Klose ]
  * boost-context-use-sysv-not-aapcs.patch: Fix build on AArch64 (Ed Nevill).

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 25 Jul 2015 15:18:57 +0100

boost1.58 (1.58.0+dfsg-1) experimental; urgency=medium

  [ Matthias Klose ]
  * New upstream release.
  * d/p/hurd-clock-gettime.patch: Remove, applied upstream.
  * Update d/documentation-files.
  * Don't call the compiler with -m{32,64} explicitly.
  * Build using ICU 55.1

  [ Dimitri John Ledkov ]
  * Include 1.58 known issues patches.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Mon, 20 Jul 2015 22:45:34 +0100

boost1.57 (1.57.0+dfsg-2) experimental; urgency=medium

  * Build with C++11 ABI, and gcc-5.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Tue, 30 Jun 2015 10:18:19 +0100

boost1.57 (1.57.0+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Thu, 12 Mar 2015 00:47:08 +0000

boost1.55 (1.55.0+dfsg-3) unstable; urgency=medium

  * patches/boost-1.55-128bit_int_support.patch: New. Patch fixing build
    where 128-bit integer not supported, cherry-picked from upstream.
    Closes: #758892.

  * patches/ppc64el-fp_traits-ibm-long-double.patch: New.  Patch removing
    fp_traits_non_native for long double on powerPC, which is apparently
    broken.  Closes: #761926.

  * control.in, control: Update vcs URLs.

 -- Steve M. Robbins <smr@debian.org>  Thu, 18 Sep 2014 22:45:15 -0500

boost1.55 (1.55.0+dfsg-2) unstable; urgency=medium

  * Disable pch on arm64, to avoid FTBFS. (Closes: #750956)
  * Speed up qemu-static builds a little, by not working perl many times
    when computing version strings to use.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Jun 2014 10:16:51 +0100

boost1.55 (1.55.0+dfsg-1) unstable; urgency=medium

  * Convert debian/copyright to copyright-format 1.0.
  * Use Uscan extension https://wiki.debian.org/UscanEnhancements to
    declare excluded file (W3C validation icon)
  * Use uscan to download current version of boost, and thus
    auto-repackage with above non-dfsg file removed. Or
    e.g. --svn-download-orig option to svn-buildpackage.
  * Adjust version parsing in the debian/rules to keep the same versioning
    information.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 11 May 2014 01:22:15 +0100

boost1.55 (1.55.0-2) unstable; urgency=medium

  * In libboost-python1.55-dev drop gccxml to Suggests as it's not
    available on all architectures, is based upon old gcc, and not at all
    required to compile boost-python based projects.
  * Mark libboost1.55-dev & libboost-coroutine1.55-dev as Multi-Arch same.
  * Automate more of building boost without mpi, or just mpi portions.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 02 May 2014 15:54:44 +0100

boost1.55 (1.55.0-1) unstable; urgency=low

  [ Steve M. Robbins ]
  * New upstream.
    - control.in, control: regenerated using update-control.py.  Set
      Standards-Version to 3.9.5.

  * Remove patches applied upstream:
    - 001-coroutine.patch
    - 002-date-time.patch
    - boost-1.44-py3.1.patch
    - boost-1.54.0-thread-link_atomic.patch
    - 85160.patch
    - eglibc-long-long.patch

  * patches/endian.patch: Remove.  Upstream changed endian detection.

  * patches/boost-1.55.0-001-log_fix_dump_avx2.patch: New.  Upstream patch
    to fix incorrect output of the dump manipulator, when used on
    AVX2-enabled CPU (e.g. Intel Haswell).

  * rules: Suppress warnings about unused local typedefs
    (-Wno-unused-local-typedefs) because they are massively generated by
    Boost Concept Check Library.

  [ Dimitri John Ledkov ]
  * Refresh patches/ELFv2-libboost1.54-dev-context-asm.patch
  * Refresh patches/boost-python-examples.patch: Hopefully does not
    reopen: #452410.
  * Enable context library on ppc64, ppc64el.

 -- Steve M. Robbins <smr@debian.org>  Sat, 04 Jan 2014 17:08:19 -0600

boost1.54 (1.54.0-5) UNRELEASED; urgency=low

  [ William Grant ]
  * debian/patches/eglibc-long-long.patch: Fix build with eglibc 2.18.
  * debian/rules: Treat ppc64el like ppc64.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Dec 2013 12:15:55 +0000

boost1.54 (1.54.0-4) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Multi-arch most -dev packages (excluding python, mpi). Initial patches
    based on the work by Helmut Grohne. (Closes: #710413, #693247)
  * Split boost auxiliary tools into a separate Multi-Arch:foreign package.
  * Build-depend on dh-python to gain arch-qualified python extension names.
  * Create permament libboost_python.[a|so] symlinks (LP: #1217237) as
    python2.7 is the last python2 series release.
  * Correct the dependency on libstdc++, it's actually libstdc++-4.8-dev,
    not libstdc++6-4.8-dev.
  * Demote gccxml from Depends to Recommends in the libboost-python-dev
    package. (Closes: #726172)
  * Apply patch from Boost upstream to resolve BOOST_LCAST_HAS_INT128
    issue (#8790) (Closes: #727750)

  [ Steve M. Robbins ]
  * rules: Disable context for mips64 and mips64el.  Closes: #728616.
  * patches/hppa-long-double-config.patch: New.  Fixes definition of
    BOOST_MATH_NO_LONG_DOUBLE_MATH_FUNCTIONS for hppa (thanks, Dave
    Anglin).  Closes: #729479.
  * control.in(libboost1.54-dev): Add "Suggests" relationship to packages
    libmpfrc++-dev & libntl-dev because Boost.Multiprecision provides
    wrappers for them.  Closes: #731048.

  [ Matthias Klose ]
  * Add support for powerpc ELFv2.

 -- Steve M. Robbins <smr@debian.org>  Wed, 04 Dec 2013 00:50:47 -0600

boost1.54 (1.54.0-3) unstable; urgency=low

  [ Steve M. Robbins ]
  * control: Add depends on libboost1.54-dev omitted from recently added
    libraries (atomic, context, and coroutine).
  * patches/boost-1.54.0-thread-link_atomic.patch: New.  Link Boost.Thread
    to Boost.Atomic if necessary.  Closes: #721577, #721544.  Also have
    libboost-thread1.54-dev depend on libboost-atomic1.54-dev.
  * control: fix short description of libboost-exception1.54-dev; see
    #720160.

  [ Matthias Klose ]
  * Configure with --disable-long-double --wihtout-context on Aarch64

  [ Dmitrijs Ledkovs ]
  * Use anonscm URLs.
  * libboost-dev: Specify dependency on current libstdc++6-4.8-dev,
    instead of obsolete libstdc++6-4.4-dev. Fixes Multi-Arch
    installation (LP: #1209193)
  * Specify --with-icu=/usr to unconditionally trigger HAVE_ICU define,
    i.e. independent of icu multiarch.

 -- Steve M. Robbins <smr@debian.org>  Wed, 04 Sep 2013 22:29:56 -0500

boost1.54 (1.54.0-2) unstable; urgency=low

  * Add packages for Boost.Coroutine.  Both coroutine and context are
    conditionally compiled.

  * patches/001-coroutine.patch:
  * patches/002-date-time.patch: New.  Upstream maintenance fixes from
    http://www.boost.org/patches/.

  * patches/hurd-clock-gettime.patch: New.  GNU Hurd has clock_gettime()
    despite not defining _POSIX_TIMERS.  Closes: #714847.

 -- Steve M. Robbins <smr@debian.org>  Sat, 06 Jul 2013 19:52:17 -0500

boost1.54 (1.54.0-1) unstable; urgency=low

  * New upstream.
    - Add shared library packages for new library Boost.Log.

 -- Steve M. Robbins <smr@debian.org>  Mon, 01 Jul 2013 21:28:11 -0500

boost1.53 (1.53.0-6) UNRELEASED; urgency=low

  * Make libboost-graph[-parallel]1.53-dev packages depend on the library
    package libboost-graph[-parallel]1.53.0 to avoid broken symlinks.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 01 Jul 2013 10:39:16 +0100

boost1.53 (1.53.0-5) unstable; urgency=low

  * control: Boost.Thread depends on some non header-only libraries:
    System, Chrono, and DateTime.  The latter was already present, but
    dependencies for libboost-thread1.53-dev updated to include
    libboost-chrono1.53-dev and libboost-system1.53-dev.  Closes: #706648.

 -- Steve M. Robbins <smr@debian.org>  Tue, 28 May 2013 02:52:24 -0500

boost1.53 (1.53.0-4) unstable; urgency=low

  * rules: Add 'context' to list of libraries when Boost.Context is
    supported.  Closes: #706220.

  * rules: Disable Boost.Context for additional architectures: alpha,
    hppa, m68k, powerpcspe, ppc64, sh4, sparc64, and x32.  Closes: #703549.

 -- Steve M. Robbins <smr@debian.org>  Sat, 27 Apr 2013 01:12:49 -0500

boost1.53 (1.53.0-3) unstable; urgency=low

  * rules: Ensure --without-context passed during install stage, too.

  * patches/chrono-duration.patch: New.  Fix conflict between
    chrono/duration.hpp and apache2/httpd.h (thanks, Kirill Spitsin).
    Closes: #703325.

  * control: Make libboost-mpi-python depend on mpi-default-bin so that
    mpirun is available.  Closes: #691635.

 -- Steve M. Robbins <smr@debian.org>  Thu, 21 Mar 2013 23:46:40 -0500

boost1.53 (1.53.0-2) unstable; urgency=low

  * rules: Build with hardening flags.
  * control: Depend on dpkg-dev, to get dpkg-buildflags.

  * rules: context is not supported for ia64, s390, s390x, and sparc.

  * patches/fix-ftbfs-python-3.3.patch: New.  Allow building with
    multiarch python3.3 (thanks, Dmitrijs Ledkovs).  Closes: #691378.

 -- Steve M. Robbins <smr@debian.org>  Wed, 20 Mar 2013 01:45:32 -0500

boost1.53 (1.53.0-1) unstable; urgency=low

  * New upstream.  Update versions in control, rules.  Update file lists
    in documentation-files and example-files.

  * rules: Stop creating "libboost_foo-mt" compatibility symlinks.
    Rewrite rules using "dh".  README.Debian and NEWS.Debian no longer
    ship in all packages.

  * control: Add packages for atomic, context.  Remove empty package for
    mpi-python-dev.

 -- Steve M. Robbins <smr@debian.org>  Tue, 05 Mar 2013 22:14:47 -0600

boost1.52 (1.52.0-1) UNRELEASED; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 06 Jan 2013 19:04:00 -0600

boost1.50 (1.50.0-2) unstable; urgency=low

  * control: Fix list formatting in Boost.Chrono long description.
    Closes: #687296.  Add symlink /usr/share/doc/libboost-doc/examples;
    see #687524.

  * rules: Install libs/date_time/data into
    /usr/share/doc/libboost-date-timeX.Y-dev.  Closes: #685003.

 -- Steve M. Robbins <smr@debian.org>  Sun, 23 Sep 2012 21:33:04 -0500

boost1.50 (1.50.0-1) unstable; urgency=low

  * Upstream release of 1.50.0.

 -- Steve M. Robbins <smr@debian.org>  Thu, 28 Jun 2012 21:28:37 -0500

boost1.50 (1.50.0~beta1final-1) experimental; urgency=low

  * New upstream.  This is really the "1.50.0 Beta 1" release.  Last
    release was actually "1.50.0 Beta 1 Release Candidate".

 -- Steve M. Robbins <smr@debian.org>  Fri, 08 Jun 2012 21:59:28 -0500

boost1.50 (1.50.0~beta1-1) experimental; urgency=low

  * New upstream: Beta 1 release of 1.50.
    - new lib packages for Boost.Exception.

  * patches/gcc4.7_trac-6790.patch:
  * patches/gcc4.7_trac-6854.patch:
  * patches/gcc4.7_trac-6755.patch:
  * patches/gcc4.7_trac-76970.patch:
  * patches/gcc4.7_trac-6331.patch:
  * patches/gcc4.7_trac-6431.patch:
  * patches/gcc4.7_trac-6852.patch: Removed.

 -- Steve M. Robbins <smr@debian.org>  Sat, 02 Jun 2012 11:42:00 -0500

boost1.49 (1.49.0-3) unstable; urgency=low

  * patches/gcc4.7_trac-6790.patch:
  * patches/gcc4.7_trac-6854.patch:
  * patches/gcc4.7_trac-6755.patch:
  * patches/gcc4.7_trac-76970.patch:
  * patches/gcc4.7_trac-6331.patch:
  * patches/gcc4.7_trac-6431.patch:
  * patches/gcc4.7_trac-6852.patch: New.  Fixes for gcc 4.7 from upstream.
    Closes: #671409

 -- Steve M. Robbins <smr@debian.org>  Sat, 05 May 2012 00:31:50 -0500

boost1.49 (1.49.0-2) unstable; urgency=low

  * control: Add missing -dev package Conflicts for: chrono, locale,
    random, and timer.  Closes: #666120, 666239.

 -- Steve M. Robbins <smr@debian.org>  Thu, 29 Mar 2012 21:30:22 -0500

boost1.49 (1.49.0-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Feb 2012 00:31:44 -0600

boost1.49 (1.49.0rc1-1) UNRELEASED; urgency=low

  * Upstream Release Candidate.

  * patches/fusion-push-front-broken.patch: Remove.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Mon, 20 Feb 2012 15:43:41 -0600

boost1.49 (1.49.0beta1-1) UNRELEASED; urgency=low

  * Upstream Beta 1 Release Candidate.

  * patches/foreach.patch:
  * patches/sh4.patch:
  * patches/kfreebsd-thread.patch:
  * patches/math-define-l.patch:
  * patches/gcc-4.7-threading-detection.patch: Removed.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Sat, 28 Jan 2012 21:31:41 -0600

boost1.48 (1.48.0-3) unstable; urgency=low

  * patches/fusion-push-front-broken.patch: New.  Upstream patch that
    fixes #include <boost/fusion/algorithm/transformation/push_front.hpp>.
    Closes: #653812.

  * patches/math-define-l.patch: New.  Rename class template parameter
    "L".  Closes: #653764.

  * patches/gcc-4.7-threading-detection.patch: New, from upstream.  Enable
    gcc 4.7 threading detection.  Closes: #654425.

  * patches/mpi-allocator-c++0x.patch: New.  Workaround to enable using
    Boost.MPI with -std=c++0x mode on gcc 4.6.  Fix will be in gcc 4.6.3
    and 4.7.  Closes: #639862.

 -- Steve M. Robbins <smr@debian.org>  Wed, 04 Jan 2012 23:50:52 -0600

boost1.48 (1.48.0-2) unstable; urgency=low

  * patches/foreach.patch: New.  Upstream patch to fix BOOST_FOREACH build
    issues.  Closes: #652677.

 -- Steve M. Robbins <smr@debian.org>  Tue, 20 Dec 2011 00:03:03 -0600

boost1.48 (1.48.0-1) unstable; urgency=low

  * New upstream.  Closes: #634245.
    - patches/changeset_71050.diff:
    - patches/date_time_date_formatting_hpp.patch:
    - patches/fusion-name-qual.patch:
    - patches/mips-asm.patch:
    - patches/openssl-no-ssl2.patch:
    - patches/python2.5-elementtree.patch: Removed.  Applied upstream.

  * New library packages for: chrono, locale, and timer.

  * patches/pythonid.patch: New.  Fix jam option --python-buildid.

  * patches/hurd-ellint_rd.patch:
  * patches/hurd-execution_monitor.patch: Remove.  Pino Toscano advised
    that the hurd no longer needs these.

 -- Steve M. Robbins <smr@debian.org>  Sun, 27 Nov 2011 22:18:35 -0600

boost1.46 (1.46.1-7) unstable; urgency=low

  * control: Fix ungrammatical description for iostreams packages.
    Closes: #633865.

  * rules: Dump boostrap log file if bootstrapping fails.

  * libboost-doc.README.Debian: Remove reference to packages bjam and
    boost-build; now only need boostX.YZ-dev.  Closes: #630529.

 -- Steve M. Robbins <smr@debian.org>  Wed, 17 Aug 2011 23:18:52 -0500

boost1.46 (1.46.1-6) unstable; urgency=low

  * control(libboost-mpi-python1.46.1, libboost-python1.46.1): Suggests a
    python interpreter.  Closes: #620775.

 -- Steve M. Robbins <smr@debian.org>  Sun, 12 Jun 2011 00:37:42 -0500

boost1.46 (1.46.1-5) unstable; urgency=low

  * patches/openssl-no-ssl2.patch.  New (thanks, Lubo~ Dole~el).  Throw
    exception if sslv2 context requested but OPENSSL_NO_SSL2 defined.
    Closes: #621402, #622027, #622070.

 -- Steve M. Robbins <smr@debian.org>  Mon, 09 May 2011 21:34:12 -0500

boost1.46 (1.46.1-4) unstable; urgency=low

  * NEWS.Debian: fix format.

  * patches/changeset_71050.diff: Fix build with Python 3.2.  Closes:
    #622021

  * rules: Switch from dh_pysupport to dh_python2 and dh_python3.
  * control: Remove X-Python-Version and X-Python3-Version lines, to
    indicate all versions supported.  Ensure all python packages use both
    ${python:Depends} and ${python:Breaks}.

  * rules: Remove execute bit from files in usr/share/boost-build.

  * patches/remove-rpath.patch: Delete.  Closes: #619766.

 -- Steve M. Robbins <smr@debian.org>  Sat, 16 Apr 2011 01:45:40 -0500

boost1.46 (1.46.1-3) unstable; urgency=low

  * control: Remove package bjam; install bjam and Boost.Build with -dev
    package.  The latter now conflicts and replaces the old bjam and
    boost-build packages.

  * control:
  * compat: Use debhelper compatibility level 8.

  * control: Set Standards-Version to 3.9.1.  Don't build using _REENTRANT
    flag.

 -- Steve M. Robbins <smr@debian.org>  Sat, 19 Mar 2011 18:25:49 -0500

boost1.46 (1.46.1-2) unstable; urgency=low

  * control (libboost-mpi-python1.46.1): Add conflict with
    libboost-mpi-python1.46.0.  Closes: #618441.

  * control: new package bjam that installs bjam and manpage.

 -- Steve M. Robbins <smr@debian.org>  Sat, 19 Mar 2011 14:14:47 -0500

boost1.46 (1.46.1-1) unstable; urgency=low

  * New upstream.

  * control: Add libboost-random1.46-dev to depends of -all-dev and
    suggests of -dev.  Closes: #615849.

 -- Steve M. Robbins <smr@debian.org>  Sun, 13 Mar 2011 00:37:35 -0600

boost1.46 (1.46.0-1) unstable; urgency=low

  * New upstream release.
    - Fixes Boost ticket 4631.  Closes: #595955.
    - Program.Options updated.  Closes: #593522.
    - Also Closes: #537680.

  * control:
  * rules: Set versions to 1.46.  Remove obsolete conflicts.

  * rules: Don't use "long double" for architecture "armhf".
    Closes: #604107.

  * control:
  * rules: New packages for Boost.Random.  Closes: #610821.

 -- Steve M. Robbins <smr@debian.org>  Tue, 22 Feb 2011 00:18:43 -0600

boost1.45 (1.45.0-1) experimental; urgency=low

  * New upstream.
    - patches/kfreebsd-jam.patch: Remove.  Applied upstream.
    - patches/boost-build-pythonid.patch: Remove.  Applied upstream.

  * control:
  * rules:
  * documentation-files:
  * example-files: Updates for new version.

 -- Steve M. Robbins <smr@debian.org>  Tue, 14 Dec 2010 00:58:11 -0600

boost1.44 (1.44.0-2) experimental; urgency=low

  * rules, control: Build Python extensions for Python 3 in addition to
    Python 2.

  * patches/boost-1.44-py3.1.patch: New.  Fix Boost.MPI build failure for
    Python 3 (thanks, Andreas Kloeckner).  Closes: #595786.

 -- Steve M. Robbins <smr@debian.org>  Sat, 18 Sep 2010 12:03:46 -0500

boost1.44 (1.44.0-1) experimental; urgency=low

  * New upstream.  Closes: #582690, #594634.
    - patches/boost-build-pythonid.patch: Modify.  Partially applied upstream.
    - patches/lambda-include-deps.patch: Remove.  Applied upstream.
    - patches/kfreebsd-thread.patch: Refresh.
    - patches/jam-wall-clean.patch: Remove temporarily.

  * rules: The python build ID now specified using --python-buildid.

  * patches/remove-rpath.patch: New.  Disable rpath-setting code.

 -- Steve M. Robbins <smr@debian.org>  Sat, 11 Sep 2010 22:24:43 -0500

boost1.42 (1.42.0-4) unstable; urgency=low

  * rules: Copy "doc" directories to $htmldir with --parents option so
    that they end up in the right place.  Closes: #586578.

  * patches/lambda-include-deps.patch: New.  Adapted from upstream
    changeset 61881.  Closes: #581706.

  * patches/boost-python-examples.patch: Remove "-mt" suffix from
    libboost_python.  Also patch examples/tutorial/Jamroot.
    Closes: #577793.

  * control: Raise priority of libboost-iostreams, since important package
    aptitude depends on it.  Closes: #588608.

  * patches/fusion-name-qual.patch: qualify names in boost::fusion
    namespace.  Closes: #588204.

 -- Steve M. Robbins <smr@debian.org>  Sun, 25 Jul 2010 22:26:18 -0500

boost1.42 (1.42.0-3) unstable; urgency=low

  * rules: Add test_exec_monitor.  Closes: #539350.  (Previous upload was
    broken.)

 -- Steve M. Robbins <smr@debian.org>  Mon, 01 Mar 2010 20:33:39 -0600

boost1.42 (1.42.0-2) unstable; urgency=low

  * rules: Add test_exec_monitor.  Closes: #539350.

 -- Steve M. Robbins <smr@debian.org>  Sat, 27 Feb 2010 22:04:09 -0600

boost1.42 (1.42.0-1) unstable; urgency=low

  * New upstream.
    - documentation-files: Update.

  * patches/boost-test-invalid-read.patch: Remove.  Alternate fix applied
    upstream.

  * patches/boost/iostreams/device/mapped_file-header-guard.patch:
  * patches/boost-graph-printf.patch: Remove.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Sat, 06 Feb 2010 20:26:56 -0600

boost1.41 (1.41.0-3) unstable; urgency=low

  * patches/date_time_date_formatting_hpp.patch: Change
    std::locale::locale() to std::locale().  Closes: #564860.

 -- Steve M. Robbins <smr@debian.org>  Sun, 17 Jan 2010 22:17:39 -0600

boost1.41 (1.41.0-2) unstable; urgency=low

  * patches/boost-graph-printf.patch: New.  Include stdio.h, to define
    fprintf() and stderr.

  * patches/kfreebsd-thread.patch: New (thanks, Petr Salinger).  Fix
    checks for __GLIBC__ source so that it builds on GNU/kFreeBSD.

 -- Steve M. Robbins <smr@debian.org>  Tue, 12 Jan 2010 00:51:40 -0600

boost1.41 (1.41.0-1) unstable; urgency=low

  * New upstream.  Closes: #563108.

  * patches/boost-build-pythonid.patch:
  * rules: Switch --pythonid to --xpythonid;
    c.f. https://svn.boost.org/trac/boost/ticket/3814

  * Merge changes from 1.40.0-5:
    - Switch to source format "3.0 (quilt)".
    - Remove hard-coding of python versions.

  * rules: Provide a constant reference to latest documentation.
    Closes: #548270.

  * control: Package libboost-mpi-python1.41 conflicts with
    libboost-mpi-python1.40, since both provide
    /usr/lib/pyshared/python2.5/boost/mpi.so.

  * patches/mapped_file-header-guard.patch: New.  Add missing header guard
    (thanks, Sven Geggus).

 -- Steve M. Robbins <smr@debian.org>  Sun, 03 Jan 2010 20:46:58 -0600

boost1.40 (1.40.0-4) unstable; urgency=low

  * rtupdate: Don't die if link target doesn't exist.  Update of
    libboost_mpi_python links failed when boost-python but not
    boost-mpi-python installed, causing postinst to fail.
    Closes: #556625.

 -- Steve M. Robbins <smr@debian.org>  Tue, 17 Nov 2009 20:58:40 -0600

boost1.40 (1.40.0-3) unstable; urgency=low

  * rules: Keep all headers in package libboostX.Y-dev to avoid bugs about
    one boost lib using headers of another boost lib.  Boost is developed
    as a monolith.  Closes: #548503, #553281, #550006.

  * control(libboost1.40-dev): Move libboost-python1.40-dev from Depends
    to Suggests; this is possible now that -dev contains all the header
    files.  Closes: #549935.

  * patches/boost-build-pythonid.patch: New (thanks, Gaudenz
    Steinlin).  Add --pythonid parameter to the build system to only add
    an identification to Python libraries.

  * control:
  * rtupdate:
  * rules: Build libboost-mpi-python1.40.0 and
    libboost-mpi-python1.40-dev.  Thanks again to Gaudenz Steinlin.
    Closes: #552014.

  * patches/hurd-ellint_rd.patch:
  * patches/hurd-execution_monitor.patch: New (thanks, Pino Toscano).
    Patches for building on hurd.  Closes: #552383.

 -- Steve M. Robbins <smr@debian.org>  Sat, 14 Nov 2009 22:44:30 -0600

boost1.40 (1.40.0-2) unstable; urgency=low

  * rules:
  * control: New package libboost-graph-parallel (thanks, Mathieu
    Malaterre).  Closes: #549203.

  * [Merge from 1.39.0-5] rules: Rule $(bjam) needs to depend on
    $(QUILT_STAMPFN) because patches/bootstrap.patch modifies script
    bootstrap.sh, used to build $(bjam).  Thanks to Andreas Ferber for the
    report and astute analysis.  Closes: #545535.  Put the "-mt"
    decoration before the final suffix for compatibility symlinks.
    Closes: #545773.

  * [Merge from 1.39.0-6] patches/boost-test-invalid-read.patch: New.  Fix
    invalid read error detected by valgrind.  Closes: #538946.

  * rules: Create "-mt" compatibility links for static libs.  Closes:
    #549467.

  * control(libboost1.40-dev): Move libboost-python1.40-dev from Suggests
    to Depends.  Workaround for #548503.

  * control(libboost1.40-all-dev): Add ${misc:Depends}.

 -- Steve M. Robbins <smr@debian.org>  Sun, 04 Oct 2009 07:53:01 -0500

boost1.40 (1.40.0-1) unstable; urgency=low

  * New upstream.  Version string updates to control & rules.  File list
    updates to example-files & documentation-files.
    - patches/python-enum-same-value.patch:
    - patches/python-generic-call.patch:
    - patches/bootstrap.patch:
    - patches/mpi-python.patch:
    - patches/boost_python_translate_exception.patch:
    - patches/wave-cpp.patch:
    - patches/function-template.patch: Remove.  Applied upstream.

  * NEWS.Debian: Reformat to follow guidelines in Debian Developer's
    Reference, Section 6.3.4.

  * control: New package libboost1.40-all-dev that brings in all the Boost
    -dev packages (c.f. #537739).

 -- Steve M. Robbins <smr@debian.org>  Sat, 05 Sep 2009 13:40:38 -0500

boost1.39 (1.39.0-4) unstable; urgency=low

  * rules: Create libboostX-mt.so compatibility symlinks.  Closes:
    #541133.  See NEWS.Debian for more details.

 -- Steve M. Robbins <smr@debian.org>  Sun, 30 Aug 2009 14:47:14 -0500

boost1.39 (1.39.0-3) unstable; urgency=low

  * patches/mips-asm.patch: New.  Fix build failure on mips (thanks,
    Florian Lohoff).  Closes: #543975.

  * control: Package -mpi-dev suggests -graph-dev.  Closes: #542067.  Note
    that -dev now contains inspect, boostbook and quickbook.  Add
    ${misc:Depends} to each package.

  * rules: Install manpages for inspect and quickbook.  Override lintian
    warning about license file in -dev (boostbook/xsl/caramel/LICENSE).

  * README.source: New.  Point to /usr/share/doc/quilt/README.source.

 -- Steve M. Robbins <smr@debian.org>  Sat, 29 Aug 2009 10:11:25 -0500

boost1.39 (1.39.0-2) unstable; urgency=low

  * control: libboost-system1.39-dev must conflict with
    libboost-system1.38-dev.  Closes: #543522.

  * patches/function-template.patch: Re-instated, since patch did not make
    it to this release of Boost.  Closes: #543576.

  * rules:
  * patches/sh4.patch: Add support for Renesas SH CPU.  Patch based on
    initial work by Nobuhiro Iwamatsu.  Closes: #535930.

 -- Steve M. Robbins <smr@debian.org>  Tue, 25 Aug 2009 22:40:25 -0500

boost1.39 (1.39.0-1) unstable; urgency=low

  * New upstream.  Closes: #533822.
    - patches/function-template.patch:
    - patches/atomic_count.patch:
    - patches/atomic_count_gcc.patch:
    - patches/library-naming.patch:
    - patches/sp_counted_base.patch: Remove.  Applied upstream.
    - Google analytics code removed from docs.  Closes: #524186.

  * patches/wave-cpp.patch: New.  Qualify std::string references.

  * patches/bootstrap.patch: New.  Fix setting for LIBDIR.

  * patches/python-generic-call.patch: New.  Add generic call operator
    support.  Closes: #523344.

  * patches/python-enum-same-value.patch: New.  Support enums with
    duplicated values.  Closes: #523343.

  * rules: Build using --layout=system, and only the variants normally
    built by upstream default (1 shared and 1 static variant).  System
    layout no longer has any decoration; i.e., neither -mt nor -mt-d.  Use
    bootstrap.sh to build bjam and configure boost; use "bjam install" to
    install all files into debian/tmp.  Bootstrap creates the file
    project-config.jam including a line naming the default python, so
    remove rule to add the default python to user-config.jam; add only
    non-default versions of python.

  * libboost-dbg.postinst.in:
  * libboost-dbg.prerm.in: Remove.  No longer shipping "-d" variants of
    libboost_python in /usr/lib, so don't need to call rtupdate for
    libboost-dbg.

  * rtupdate: There is no longer separate single and multi-threaded
    libraries to take care of.

  * debian/quickbook.1:
  * debian/inspect.1: New.  Manpages for installed tools.

  * control: Set Standards-Version to 3.8.2; no changes required.  Make
    -dbg depend on -dev.  Add non-virtual alternative for -dev dependency
    on libstdc++-dev.

  * copyright: Add the Caramel license, used by boostbook.

 -- Steve M. Robbins <smr@debian.org>  Fri, 10 Jul 2009 17:14:08 -0500

boost1.38 (1.38.0-7) unstable; urgency=low

  * control(libboost1.38-dev): downgrade the -doc and all -dev packages to Suggests.
    Closes: #529258, #529622.  Add Replaces and Provides for "bcp" since the contents
    of that package is now provided in -dev.

  * control: Add build-conflict against boost-build;
    otherwise bjam fails with diagnostic "duplicate initialization of gcc ..."
    because both /etc/site-config.jam and ./user-config.jam have
    "using gcc" lines.

  * patches/boost-python-examples.patch: New.  Patch example Jamroot to
    use installed libboost_python (thanks, Georg Schmid).
    Closes: #452410.

  * rules: Set OMPI_MCA_disable_memory_allocator=1 to work around bad
    interaction between fakeroot and OpenMPI.  Closes: #531415.
  * control: Build-conflict with libopenmpi-dev version in unstable that
    contains this bug.

  * libboost-doc.README.Debian: Explain how to build Boost.Python
    examples.

  * rules: Build and install tools inspect and quickbook.  Closes: #531653.
  * control: Add suggests for xsltproc, doxygen, docbook-xml, docbook-xsl,
    default-jdk, and fop to support quickbook.

 -- Steve M. Robbins <smr@debian.org>  Mon, 29 Jun 2009 21:50:17 -0500

boost1.38 (1.38.0-6) unstable; urgency=low

  * control: Add version (<< 1.35.0) to conflicts for -doc and -dbg
    packages.

 -- Steve M. Robbins <smr@debian.org>  Sun, 03 May 2009 00:53:13 -0500

boost1.38 (1.38.0-5) unstable; urgency=low

  * rtupdate: Handle versioned libboostX.Y-dbg.rtupdate properly.  Closes:
    #525376.

 -- Steve M. Robbins <smr@debian.org>  Fri, 24 Apr 2009 22:14:11 -0500

boost1.38 (1.38.0-4) unstable; urgency=low

  * control (libboost1.38-dev): weaken dependency on libboost-math1.38-dev
    and libboost-serialization1.38-dev from Depends to Recommends (Closes:
    #524612).  Add version (<< 1.35.0) to conflicts for -dev packages to
    conflict with boost version 1.34.1 but allow the packages generated by
    the upcoming boost-defaults source package.  Ensure first line of long
    description is a full sentence (Closes: #524034).

 -- Steve M. Robbins <smr@debian.org>  Thu, 23 Apr 2009 01:51:34 -0500

boost1.38 (1.38.0-3) unstable; urgency=low

  * patches/jam-wall-clean.patch: Fix printf formatting in
    tools/jam/src/hash.c and tools/jam/src/hcache.c.

 -- Steve M. Robbins <smr@debian.org>  Sat, 04 Apr 2009 00:41:36 -0500

boost1.38 (1.38.0-2) unstable; urgency=low

  * Merge changes from 1.37.0-7 and 1.37.0-8:
    - rtupdate: Do not die if called for an unknown python version, just
      remove existing symlinks.
    - control: Package -dbg is now in section debug.
    - README.Debian: Add note about Boost.Test main() function.

  * copyright: Update.

  * licensecheck.diff: Remove.  Licensecheck detects the Boost license as
    of devscripts 2.10.46.

 -- Steve M. Robbins <smr@debian.org>  Mon, 30 Mar 2009 21:53:13 -0500

boost1.38 (1.38.0-1) unstable; urgency=low

  * New upstream.
    - update control appropriately.

  * patches/math-c99.patch:
  * patches/jam-hardening.patch:
  * patches/avoid-PATH_MAX.patch:
  * patches/suppress-compiler-warnings.patch:
  * patches/gcc43-date_time.patch:
  * patches/gcc43-path_name_check.patch:
  * patches/system-error-code.patch: Removed.  Applied upstream.

  * patches/jam-wall-clean.patch: Updated; partially applied upstream.
  * patches/kfreebsd-jam.patch: Refreshed.

  * patches/boost_python_translate_exception.patch: New.  From upstream
    ticket 2582.

  * patches/series: Modified to account for removed patches.

 -- Steve M. Robbins <smr@debian.org>  Sun, 22 Feb 2009 00:21:26 -0600

boost1.37 (1.37.0-5) unstable; urgency=low

  * README.Debian:
  * libboost-python-dev.README.Debian: Revise, removing all the verbiage
    about single-threaded versions and decorated library names which was
    not relevant as of 1.37.0-1.

  * control: libboost1.37-dev depends on libboost-math1.37-dev.  Closes:
    #515079.  Update list of separate packages in description and
    Recommends line for libboost1.37-dev.

 -- Steve M. Robbins <smr@debian.org>  Mon, 16 Feb 2009 15:55:23 -0600

boost1.37 (1.37.0-4) unstable; urgency=low

  * patches/function-template.patch: New.  Fix misplaced #ifdef (thanks to
    Caolan McNamara for the patch at
    https://bugzilla.redhat.com/show_bug.cgi?id=477131).  Closes: #511073.

  * control:
  * rules: New packages libboost-mpi1.37.0 and libboost-mpi1.37-dev.
    Closes: #494832, #490242.  Thanks to Tilman Koschnick and Rutger ter
    Borg for their patches.  New -dev package conflicts and replaces
    libboost1.37-dev, since the headers were moved from the latter to the
    former.
  * patches/mpi-python.patch: The python bindings for Boost.MPI don't
    build; disable until I understand what's going on.

  * rules: Usage of "dh_clean -k" is deprecated in debhelper 7; replace
    with "dh_prep".

 -- Steve M. Robbins <smr@debian.org>  Sat, 10 Jan 2009 16:53:03 -0600

boost1.37 (1.37.0-3) unstable; urgency=low

  * patches/series: Add add-disable-long-double.patch to the series.
  * rules: Suppress building long-double math libraries (math_c99l &
    math_tr1l) on hppa, arm, armel, mips, and mipsel.  Closes: #508962.

 -- Steve M. Robbins <smr@debian.org>  Thu, 18 Dec 2008 21:11:51 -0600

boost1.37 (1.37.0-2) unstable; urgency=low

  * control: Add Bcs-Browser and Vcs-Svn information.

  * copyright: Update with the help of licensecheck, modified to detect
    the Boost Software License; c.f. debian/licensecheck.diff.

  * patches/atomic_count_gcc.patch: New.  GCC version >= 4.2 has moved
    <bits/atomic.h> to <ext/atomic.h>.

  * patches/jam-hardening.patch: New.  Fix warnings generated by hardening
    options, -D_FORTIFY_SOURCE=2 and -Wformat-security.  Thanks to Kees
    Cook for the patch.  Closes: #505734.

  * patches/atomic_count.patch: New.  Exclude armel, m68k, and sparc from
    atomic_count_sync case since they do not have __sync functions
    (http://gcc.gnu.org/onlinedocs/gcc-4.1.0/gcc/Atomic-Builtins.html).

  * patches/math-c99.patch: New.  Fix detection of long-double math
    functions such as log1pl() and expm1l().  Upstream changeset 50055.

  * patches/kfreebsd-jam.patch: New.  Include <unistd.h> for all GLIBC
    systems; fixes a build failure for kFreeBSD.  Thanks to Petr Salinger
    for the patch.  Closes: #506736.

  * patches/system-error-code.patch: New.  Restore function
    get_posix_category().  Closes: #503917.  Thanks to Deng Xiyue for
    researching the fix.

  * patches/sp_counted_base.patch: New.  Add armel, m68k, and sparc to
    list of architectures that cannot use sp_counted_base_sync (they do
    not have __sync functions).
  * rules: The above patch means these architectures (and arm, which
    is already accounted for in sp_counted_base.hpp) fall through to
    sp_counted_base_spin, so we no longer need to specify
    BOOST_SP_USE_PTHREADS.

 -- Steve M. Robbins <smr@debian.org>  Sun, 14 Dec 2008 16:52:08 -0600

boost1.37 (1.37.0-1) unstable; urgency=low

  * New upstream.  Closes: #504475.

  * patches/test-child-exit-t1723.patch:
  * patches/kfreebsd-poll-symbols.patch:
  * patches/gcc43-spirit-1617.patch: Remove, applied upstream.

  * check-interdep.sh:
  * documention-files:
  * example-files: Update for new version.

  * control:
  * rules: Update version variables for 1.37.  Do not build
    single-threaded libraries.  Do not create symlinks that are decorated
    with toolset name (i.e. "gcc43").

  * rtupdate: Test for link target existence, since we no longer build
    single-threaded libraries.

  * debian/rules: Include debug symbols in libboost-dbg.  Thanks for Tim
    Ansell for the patch.  Closes: #495812.

  * control: Increase build-dep to debhelper >= 7.
  * compat: Set to level 7.  Level 4 or better required for debug
    symbols fix.

 -- Steve M. Robbins <smr@debian.org>  Sun, 09 Nov 2008 15:46:50 -0600

boost1.36 (1.36.0-2) unstable; urgency=low

  * debian/patches/endian.patch: New.  Include <endian.h> unconditionally
    on all Debian systems.

 -- Steve M. Robbins <smr@debian.org>  Mon, 27 Oct 2008 00:49:42 -0500

boost1.36 (1.36.0-1) unstable; urgency=low

  * New upstream version.  Closes: #495179.
    - patches/serialisation-utility-include.patch:
    - patches/serialization-intrinsic64.patch:
    - patches/sp_counted_base.patch: Remove.  Applied upstream.

  * patches/gcc43-date_time.patch:
  * patches/gcc43-spirit-1617.patch:
  * patches/gcc43-path_name_check.patch: New.  Fixes for GCC 4.3 issues.

  * patches/gcc-4.3.patch: Remove.  Most of this was applied upstream;
    remainder is now in gcc43-date_time.patch.

  * control:
  * rules: Add packages for Boost.Math.

  * copyright: Convert to UTF-8.

 -- Steve M. Robbins <smr@debian.org>  Sun, 28 Sep 2008 00:26:01 -0500

boost1.35 (1.35.0-8) experimental; urgency=low

  * debian/patches/jam-wall-clean.patch: Additional changes to expand.c,
    hash.c to remove warnings from amd64 & s390.

  * libboost-python1.35-dev: Add preferred alternative dependency
    "python (>= 2.5)", since elementtree is included in Python 2.5 and
    later.  Fix from Martin Pitt <martin.pitt@ubuntu.com>.  Closes: #494791.

 -- Steve M. Robbins <smr@debian.org>  Wed, 13 Aug 2008 03:36:02 -0500

boost1.35 (1.35.0-7) experimental; urgency=low

  * debian/patches/avoid-PATH_MAX.patch: Define symbol _GNU_SOURCE in
    order that get_current_dir_name() is declared.  Should fix the build
    failure #494346.

  * debian/patches/jam-wall-clean.patch: Patch jam sources to build
    cleanly with -Wall.
  * debian/rules: Build with -Wall -Werror.

 -- Steve M. Robbins <smr@debian.org>  Sat, 09 Aug 2008 09:01:23 -0500

boost1.35 (1.35.0-6) experimental; urgency=low

  [ Steve M. Robbins ]

  * Uploading to experimental to avoid messing with the Etch freeze.

  * debian/control: Set Standards-Version to 3.8.0; no changes required.

  * debian/rules: Set gcc_version to gcc43 for the upstream-compatible
    symlinks.

  * debian/patches/gcc-4.3.patch: Qualify typedef in
    boost/gil/bit_aligned_pixel_reference.hpp.  Closes: #485512.

  * debian/patches/serialisation-utility-include.patch: New.  Apply
    suggested patch, from upstream
    http://svn.boost.org/trac/boost/ticket/1822.  Closes: #491225.

  * debian/patches/sp_counted_base.patch: New.  Avoid using
    sp_counted_base_sync.hpp on ARM and HPPA, as those architectures do
    not support atomic builtin __sync_fetch_and_add.  Closes: #485434.

  * debian/patches/kfreebsd-poll-symbols.patch: New.  Work around kFreeBSD
    defining POLL_ERR and POLL_HUP as the same value.  Closes: #492786.

  * debian/patches/avoid-PATH_MAX.patch: New.  Use get_current_dir_name()
    to avoid static string of size PATH_MAX as that symbol is unavailable
    in hurd-i386.  Closes: #487343.

  * debian/patches/test-child-exit-t1723.patch: New.  Ignore child process
    if return status is zero (normal); fix for Boost ticket 1723.

  * debian/patches/python2.5-elementtree.patch: New.  Use cElementTree
    from xml.etree, if available (python 2.5).  Closes: #489022.

  [ Domenico Andreoli ]

  * debian/rules: perform parallel builds as per $DEB_BUILD_OPTIONS

 -- Steve M. Robbins <smr@debian.org>  Sun, 03 Aug 2008 10:33:40 -0500

boost1.35 (1.35.0-5) unstable; urgency=low

  * debian/rules: Build using -DBOOST_SP_USE_PTHREADS for armel.

 -- Steve M. Robbins <smr@debian.org>  Fri, 23 May 2008 00:32:17 -0500

boost1.35 (1.35.0-4) unstable; urgency=low

  * debian/rules: Fix syntax error creating user-config.jam; the final
    semicolon needs a space before it.  Closes: #481971.

 -- Steve M. Robbins <smr@debian.org>  Mon, 19 May 2008 19:55:46 -0500

boost1.35 (1.35.0-3) unstable; urgency=low

  * debian/patches/serialization-intrinsic64.patch: New.  Patch from
    upstream to fix build problem with GCC 4.3 on 64-bit systems.

  * debian/rules: The gcc module of bjam no longer honours <define>, so
    use <compileflags>-D_REENTRANT in user-config.jam.

  * debian/rules: Build using -DBOOST_SP_USE_PTHREADS for: hppa, sparc,
    and arm.

 -- Steve M. Robbins <smr@debian.org>  Mon, 19 May 2008 01:26:21 -0500

boost1.35 (1.35.0-2) unstable; urgency=low

  * debian/control: Add missing dependencies.  Closes: #480948.
    date_time 	depends on serialization
    filesystem 	depends on system
    graph 	depends on serialization test
    iostreams 	depends on regex
    regex 	depends on thread
    thread 	depends on date_time
    wave 	depends on filesystem serialization
    multi_index [libboost-dev] depends on serialization

 -- Steve M. Robbins <smr@debian.org>  Sat, 17 May 2008 03:50:02 -0500

boost1.35 (1.35.0-1) unstable; urgency=low

  * New upstream version.  Closes: #473752.
    debian/documentation-files:
    debian/patches: Adjust to new version.
    debian/control: Remove depenency of libboost-dev on
    libboost-serialization-dev as noted in (1.34.1-7).  Closes: #478782.

  * debian/control: Substitute 1.34.1 --> 1.35.0 on all library package
    names.  Change source to boost1.35 so that packages will coexist in
    archive with 1.34.1 versions.  Add version string to all packages
    including -dev and -doc.  Add conflicts with previous packages.  Add
    packages libboost-system1.35.0 and libboost-system1.35-dev.

  * debian/patches/library-naming.patch: New.  Remove toolset and boost
    version from library names.
  * debian/rtupdate: Remove logic for links with toolset name.

  * debian/rules: Adjust SOVERSION, SHLIBS_VERSION, and boost_version to
    new version.  Remove DEBIAN_SUFFIX.
    Add system to boost_libs.
    Adjust link functions:
      - Create compatibility links with toolset and boost version, rather
        than simplified name links.
      - Don't create gcc41 compatibility links.
      - Don't create Boost.Python compatibility links.
    Add "link=shared,static" to all jam invocations, including "jam install".
    Don't need to copy more/css_0 to -doc package.
    Add rules for new system library

  * debian/control:
  * debian/rules: Don't build with g++-4.2 explicitly.  Closes: #463288.

  * debian/libboost-doc.doc-base: Change Section from obsolete
    Apps/Programming to Programming/C++.  Replace leading spaces of
    Abstract continuation lines by a single space.  The latter means
    "display verbatim", which is not desired.

  * debian/control: Build-depend on debhelper (>= 6.0.7) to ensure
    dh_lintian available.
  * debian/rules: Use dh_lintian to install lintian-overrides.  Create all
    lintian-overrides files in debian/rules.
  * debian/libboost-dev.lintian-overrides:
  * debian/libboost-dbg.lintian-overrides:
  * debian/libboost-python-dev.lintian-overrides:
  * debian/libboost-doc.lintian-overrides: Delete.

  * debian/control: Remove package bcp.
  * debian/rules: Package /usr/bin/bcp and its manpage in libboost1.35-dev.

  * debian/control: Remove package pyste.
  * debian/rules: Package /usr/bin/pyste and its manpage in
    libboost-python1.35-dev.

 -- Steve M. Robbins <smr@debian.org>  Wed, 07 May 2008 02:38:44 -0500

boost (1.34.1-11) unstable; urgency=low

  * debian/control: Add python-dev to libboost-python-dev depends.
    Closes: #473973.

 -- Steve M. Robbins <smr@debian.org>  Fri, 04 Apr 2008 11:01:05 -0500

boost (1.34.1-10) unstable; urgency=low

  * debian/libboost-python-dev.postinst:
  * debian/libboost-python-dbg.postinst: Change from "which pyversions &&
    ..." (which fails if pyversions not available) to "if which pyversions
    ...".  Closes: #473607.

  * debian/patches/date_time_date_formatting_hpp: Update patch to also
    format fractional seconds with classic locale (thanks, Jean Pierre
    LeJacq).  Also reported upstream as ticket/1726.  Closes: #473177.

 -- Steve M. Robbins <smr@debian.org>  Mon, 31 Mar 2008 18:44:59 -0500

boost (1.34.1-9) unstable; urgency=low

  * debian/control:
  * debian/rules: Set up to use Quilt for maintaining patches.

  * boost/numeric/ublas/matrix.hpp:
  * boost/numeric/ublas/matrix_sparse.hpp: Revert.  These originated in
    the merge of 1.33.1 (change 13900) and appear to be erroneous.

  * Reverted all other diffs outside of debian/ and created the following
    set of quilt patches:
    - debian/patches/regex-vulnerability.patch
    - debian/patches/suppress-compiler-warnings.patch
    - debian/patches/function-template-thread-safety.patch
    - debian/patches/bjam-no-strict-aliasing.patch
    - debian/patches/gcc-4.3.patch

  * Remove obsolete patch files:
    - debian/patches/03-st_mt.patch
    - debian/patches/02-is_incrementable1331.patch
    - debian/patches/01-ublas1331.patch
    - debian/patches/05_regex_fixes.patch
    - debian/patches/04-ublas_warnings.patch

  * boost/date_time/date_facet.hpp: Qualify special_values_parser<>, to
    build with GCC 4.3; patch added to gcc-4.3.patch (thanks, Anibal
    Avelar).  Closes: #468061.

  * boost/spirit/phoenix/operators.hpp: Include <climits>, to build with
    GCC 4.3; patch added to gcc-4.3.patch (thanks, Dominic Hargreaves).
    Closes: #470080.

  * boost/date_time/date_formatting.hpp: Format year with classic locale
    to force correct formatting; new patch date_time_date_formatting_hpp
    (thanks, Jean Pierre LeJacq).  Also reported upstream as ticket/1674.
    Closes: #469771.

  * debian/libboost-doc.doc-base: Change document ID from "Boost" to
    "boost".  Apparently dh_installdocs got picky about no upper-case
    letters in doc IDs.  Closes: #471284.

  * debian/patches/gcc-4.3.patch: Include relevant patches from Boost
    ticket tracker, issues: 1570, 1615, and 1617.

  * debian/control: Update to standards version 2.7.3 (no changes).

  * debian/pyste.1: New.  Manual page for pyste.
  * debian/rules: Install pyste man page.  Bump SHLIBS_VERSION to
    1.34.1-8.  Closes: #472571.

  * debian/bcp.1: Replace initial ' by .\" to avoid warnings from "man".

 -- Steve M. Robbins <smr@debian.org>  Mon, 24 Mar 2008 23:09:57 -0500

boost (1.34.1-8) unstable; urgency=low

  * debian/rules: Replace all use of $(PWD) and `pwd` by $(CURDIR); clears
    up lintian warning debian-rules-uses-pwd.

  * debian/control: Move the homepage lines from the extended descriptions
    to a proper header; clears up lintian warning
    description-contains-homepage.

  * tools/jam/src/build.jam: Build using -fno-strict-aliasing, to avoid a
    segfault.  Patch obtained from upstream changeset 41036; c.f. bug
    #367825 and boost ticket 977 (http://svn.boost.org/trac/boost/ticket/977).
  * debian/rules: Do not build bjam with CC=gcc-4.1.
  * debian/control: Do not build-depend on gcc-4.1.  Closes: #463287.

  * debian/control: Change Build-Depends from "python-dev |
    python-all-dev, python2.4-dev" to simply "python-all-dev"; this brings
    in all current Python -dev packages.  Update python-support required
    version from 0.3 to 0.6, following README of current python-support
    package.  Remove "python2.4-dev" from dependency of
    libboost-python-dev; add python2.4-dev and python2.5-dev to its
    Suggests line since users of this package may need any of the
    currently-supported Python development packages.
  * debian/rules: Introduce a suffix on library names, intended to handle
    the -py24 and -py25 suffices added using --buildid.  This requires
    some new functions, and updates to existing functions: mk_base_name,
    mk_full_name, mk_compat_name, mk_xxx_files, mk_files, and
    mk_debhelper_files.  Add lines for Python 2.4 and 2.5 to
    user-config.jam file and build each python version explicitly.  Factor
    code to remove generated debhelper files from clean to new rule
    clean-debhelper, called from both clean and install rules.  Install
    debian/rtupdate files, ensure the -py24 and -py25 libraries are
    installed and remove those without suffices.  Remove unnecessary use
    of dh_python.  Closes: #445381, #425881, #466820.
  * debian/rtupdate: New.  Updates or removes symlinks for link libraries,
    depending on the default Python runtime version.
  * debian/libboost-dbg.postinst: New.  Call rtupdate to create symlinks.
  * debian/libboost-python-dev.postinst: New.  Call rtupdate to create symlinks.
  * debian/libboost-dbg.prerm: New.  Call rtupdate to remove symlinks.
  * debian/libboost-python-dev.prerm: New.  Call rtupdate to remove symlinks.

  * debian/README.Debian:
  * debian/libboost-python-dev.README.Debian:
  * debian/Notes: Add notes about multiple Python runtime support, remove
    some obsolete notes.

 -- Steve M. Robbins <smr@debian.org>  Sat, 22 Mar 2008 14:37:38 -0500

boost (1.34.1-7) unstable; urgency=low

  * debian/control (libboost-dev): Move libboost-serialization-dev from
    Recommends to Depends since ptr_vector needs it.  Closes: 457654,
    465720.  Note that the next version of the Pointer Container Library
    uses a non-intrusive implementation of serialization, decoupling the
    libraries [http://thread.gmane.org/gmane.comp.lib.boost.devel/169668].
    This change can be reverted when the new upstream is packaged.

  * debian/documentation-files: Updated as per procedure in debian/Notes.
    Closes: #338106.
  * debian/rules (libboost-doc): Also copy in all doc directories.

 -- Steve M. Robbins <smr@debian.org>  Mon, 18 Feb 2008 13:36:30 -0600

boost (1.34.1-6) unstable; urgency=low

  [Fixes for GCC 4.3]
  * boost/regex/v4/cpp_regex_traits.hpp:
  * boost/test/test_tools.hpp: Add #include <climits> to pick up
    definition of CHAR_BIT (thanks, Jiri Palecek).  Closes: #444359.
  * boost/python/detail/def_helper.hpp: Change keywords<0> to
    detail::keywords<0>, avoiding a "changes meaning" error.  Patch from
    upstream SVN.
  * Verified that tagpy builds.  Closes: #444359.
  * Verified that twinkle builds (after fixing #465187).  Closes: #454815.
  * Verified that kdeedu builds (had to omit uninstallable libfacile-ocaml-dev
    build-dep).  Closes: #463464.

 -- Steve M. Robbins <smr@debian.org>  Mon, 11 Feb 2008 01:40:05 -0600

boost (1.34.1-5) unstable; urgency=medium

  [ Domenico Andreoli ]
  * Re-synchronized with friends from Ubuntu (thanks Jamie Strandboge).
    - got fixes for CVE-2008-0171 and CVE-2008-0172.  Closes: #461236.
  * debian/patches/05_regex_fixes.patch: fix for
    basic_regex_parser() in boost/regex/v4/basic_regex_parser.hpp to return
    error on invalid repetition of next state
  * References
    CVE-2008-0171
    CVE-2008-0172
    http://svn.boost.org/trac/boost/changeset/42674
    http://svn.boost.org/trac/boost/changeset/42745

  [ Steve Robbins ]
  * boost/function/function_base.hpp:
  * boost/function/function_template.hpp: Replace with SVN head version to
    fix boost http://svn.boost.org/trac/boost/ticket/1260.
    Closes: #458743.

 -- Steve M. Robbins <smr@debian.org>  Thu, 07 Feb 2008 23:16:01 -0600

boost (1.34.1-4) unstable; urgency=low

  * Merged Steve Langasek's -2.1 and -2.2 changes into
  the experimental -3 version.

 -- Steve M. Robbins <smr@debian.org>  Sun, 23 Dec 2007 21:14:55 -0600

boost (1.34.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change libicu-dev dependency in addition to the build-dependency.
    Closes: #456844.
  * Add back build dependency on gcc-4.1, since bjam currently segfaults
    with gcc-4.2; this is superseded already in 1.34.1-3 in experimental.
    Closes: #456915.

 -- Steve Langasek <vorlon@debian.org>  Wed, 19 Dec 2007 00:58:39 -0800

boost (1.34.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libicu-dev instead of libicu36-dev for the icu library
    transition.  Closes: #454605.
  * Bump the Build-Depends from g++-4.1 to g++-4.2, and add
    backwards-compatibility "-gcc41" symlinks for all libraries to avoid
    gratuitous ABI breakage for the rebuild since the gcc version
    doesn't change the ABI, contrary to upstream assertion.  Bump the
    shlibs to match.
  * Add shlibs to libboost-dbg package, for compatibility with new
    dpkg-shlibdeps behavior.

 -- Steve Langasek <vorlon@debian.org>  Sun, 16 Dec 2007 13:59:29 -0800

boost (1.34.1-3) experimental; urgency=low

  * ABI change: switched back to gcc 4.2
  * bjam is built using gcc 4.1 (closes: #367825).
  * libboost-dev now recommends all the other libboost-*-dev packages
    (closes: #443160).

 -- Domenico Andreoli <cavok@debian.org>  Wed, 19 Sep 2007 03:12:48 +0200

boost (1.34.1-2) unstable; urgency=low

  [ Steve Robbins ]
  * Build with gcc 4.1 and python 2.4 (closes: #426871).

  [ Domenico Andreoli ]
  * Fixed gcc 4.1 vs. gcc 4.2 confusion on hppa (closes: #436446).
  * Debug libraries and their symlinks are back in libboost-dbg.
  * bjam is built using gcc 4.1 also in the case it is not the default
    gcc version.

 -- Steve M. Robbins <smr@debian.org>  Tue, 14 Aug 2007 22:52:45 -0500

boost (1.34.1-1) experimental; urgency=low

  * New upstream release (closes: #436091).
  * Moved date_time.hpp to libboost-date-time-dev (closes: #434370).
  * Removed libboost-dbg package. Debug libraries are now installed in
    their respective libboost-* packages.
  * Reworked libraries installation to binary packages.
  * README.Debian now explains how programs should link to the Boost
    libraries both the portable and the Debian-specific way.
    Closes: #429533, #424038, #425264, #428419, #431502, #425992.

 -- Domenico Andreoli <cavok@debian.org>  Sun, 05 Aug 2007 15:32:38 +0200

boost (1.34.1~rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Drop ${Source-Version} substvar from rules.
  * Moved boost/filesystem.hpp to libboost-filesystem-dev (closes: #428179).
  * Build with g++ 4.2 (g++ 4.1 is still used for bjam).
  * Updated README to reflect the new naming scheme for libraries linking.

 -- Domenico Andreoli <cavok@debian.org>  Sun, 24 Jun 2007 23:52:28 +0200

boost (1.34.0-1) unstable; urgency=low

  * New upstream release.
  * libboost-doc is properly created and filled, also on hppa (closes: #406883).

 -- Domenico Andreoli <cavok@debian.org>  Mon, 14 May 2007 00:06:49 +0200

boost (1.34.0~rc2-2) experimental; urgency=low

  * Re-applied workaround for toolchain bug on hppa (closes: #416496).
  * Partially synchronized with Ubuntu:
    - removed "python |" as alternative build dependency
    - libboost-python-dev now depends on python2.5-dev

 -- Domenico Andreoli <cavok@debian.org>  Thu, 10 May 2007 23:22:20 +0200

boost (1.34.0~rc2-1) experimental; urgency=low

  * Removed debian-specific virtual destructors of
    polymorphic_iarchive and polymorphic_oarchive. see
    http://lists.boost.org/Archives/boost/2006/09/110979.php.
  * Bumped shlibs to (>= 1.34.0~rc2-1), ABI might be changed since the
    first introduction of 1.34.0 snapshot from CVS almost a year ago.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 10 May 2007 12:33:32 +0200

boost (1.34.0~beta1-2) experimental; urgency=low

  * libboost-serialization-dev now depends on libboost-serialization1.34.0,
    libboost-wave-dev on libboost-wave1.34.0.
  * Build depends on g++-4.1 (>= 4.1.2).

 -- Domenico Andreoli <cavok@debian.org>  Mon, 30 Apr 2007 17:26:55 +0200

boost (1.34.0~beta1-1) experimental; urgency=low

  * New upstream beta release.
  * Boost.Python is built using python 2.5.

 -- Domenico Andreoli <cavok@debian.org>  Sat, 28 Apr 2007 01:08:50 +0200

boost (1.33.1+1.34.0-cvs20070326-1) experimental; urgency=low

  * New upstream snapshot version.
  * Added missing shared library packages of Boost.Serialization and
    Boost.Wave.  Closes: #410157.
  * No unqualified .so symlinks are now provided, only -st.so/-mt.so
    are available.  Closes: #356705.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 27 Mar 2007 13:50:30 +0200

boost (1.33.1+1.34.0-cvs20070221-1) experimental; urgency=low

  * New upstream snapshot version.
  * Improved the build process.
  * Now both st/mt variants are installed as well as their new symlinks
    to ease the linking. No, we still have not pkg-config support.

 -- Domenico Andreoli <cavok@debian.org>  Fri, 23 Mar 2007 13:47:15 +0100

boost (1.33.1+1.34.0-cvs20060531-1) experimental; urgency=low

  * New upstream snapshot version.
  * CSS file for HTML documentation is now correctly installed.
    Closes: #358986.
  * Standards-Version is now set to 3.7.2.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 31 May 2006 16:09:49 +0200

boost (1.33.1-10) unstable; urgency=medium

  * boost/detail/sp_counted_base_gcc_ia64.hpp,
    boost/detail/sp_counted_base_gcc_ppc.hpp: added missing constraints
    on inline assembly.  Closes: #405599.
    Patch courtesy of Aaron M. Ucko <ucko@debian.org>, from upstream CVS.

 -- Domenico Andreoli <cavok@debian.org>  Fri,  5 Jan 2007 10:23:10 +0100

boost (1.33.1-9ubuntu2) feisty; urgency=low

  * Remove "python |" as alternative build dependency.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Jan 2007 17:18:44 +0000

boost (1.33.1-9ubuntu1) feisty; urgency=low

  * Build using python2.5.
  * Fix build failure on 64bit archs with python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Jan 2007 14:17:42 +0000

boost (1.33.1-9) unstable; urgency=low

  * boost/property_map_iterator.hpp: added missing namespace.  Closes: #397654.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 21 Nov 2006 12:21:42 +0100

boost (1.33.1-8) unstable; urgency=low

  * Synchronized with Ubuntu.
  * libboost-regex-dev now depends on libicu36-dev.

 -- Domenico Andreoli <cavok@debian.org>  Fri,  3 Nov 2006 23:54:34 +0100

boost (1.33.1-7ubuntu1) edgy; urgency=low

  * debian/patches/05-fix_signals.patch:
    - patch from upsteam CVS, fixes Boost.Signals to work properly
      across shared library boundaries with certain compiler options.
      (Closes Ubuntu: #62202)

 -- Matti Lindell <mlind@cs.joensuu.fi>  Mon, 25 Sep 2006 08:54:32 +0300

boost (1.33.1-7) unstable; urgency=low

  * Re-added build dependency on python2.4-dev.

  * Build dependency on libicu36-dev is now allowed and preferred
    over libicu34-dev.

 -- Domenico Andreoli <cavok@debian.org>  Sun, 17 Sep 2006 23:35:27 +0200

boost (1.33.1-6) unstable; urgency=low

  * Packaged Pyste.  Closes: #189839.

  * Package libboost-dbg has now priority extra.

 -- Domenico Andreoli <cavok@debian.org>  Fri,  8 Sep 2006 21:56:31 +0200

boost (1.33.1-5) unstable; urgency=low

  * CSS file for HTML documentation is now correctly installed.
    Closes: #358986.

  * Added missing header in boost/bind.hpp.  Closes: #376747.

  * Fixed some unused parameter warnings.  Closes: #372800.

  * Fixed some typos in source code.  Closes: #378016.
    Patch courtesy of Roger Leigh.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 20 Jul 2006 12:44:28 +0200

boost (1.33.1-4) unstable; urgency=low

  * Graph library is built with -mlong-calls on hppa too.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 22 Mar 2006 14:21:05 +0100

boost (1.33.1-3) unstable; urgency=low

  * Fixed licensing of Graph library.  Closes: #349209.
    Patch from upstream CVS repository, courtesy of Doug Gregor.
  * Fixed build process of Graph library.  Closes: #326089.
  * Shared library packages do not install the empty /usr/include/boost
    directory any more.  Closes: #344599.
  * Added manpage for bcp.  Closes: #348523.
  * Static version of Thread library is also installed.  Closes: #357986.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 16 Mar 2006 13:40:06 +0100

boost (1.33.1-2) unstable; urgency=low

  [ Christophe Prud'homme ]
  * Bug fix: "libboost-wave-dev: Dependency on libboost-filesystem-dev
    missing", thanks to Martin v . LÃÂ¶wis (Closes: #346367).

  [ Domenico Andreoli ]
  * boost/graph/topological_sort.hpp: removed name of unused parameter
    to prevent long compiler warning.  Closes: #347519.
  * Applied patch from upstream CVS to fix parsing of valid options
    with a common root.  Closes: #345714.
  * libboost-python-dev now correctly depends on python2.4-dev.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 11 Jan 2006 11:11:42 +0100

boost (1.33.1-1) experimental; urgency=low

  * New upstream release.

  * debian/control, debian/rules: switched to python 2.4.

  * debian/control: removed build dependency on g++ 3.4.  Closes: #342958.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 12 Dec 2005 17:44:36 +0100

boost (1.33.0-5) unstable; urgency=low

  * Re-uploaded with the right maintainer, the Debian Boost Team.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 21 Nov 2005 16:49:41 +0100

boost (1.33.0-4) unstable; urgency=low

  * debian/control, debian/rules: renamed DSO packages to '*c2a'.
    Closes: #339154.

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 21 Nov 2005 07:05:58 +0100

boost (1.33.0-3) unstable; urgency=low

  * debian/documentation-files: regenerate.

  * Applied patch from 1.33.1 to unbreak ublas.

  * Applied patch from 1.33.1 to unbreak is_incrementable with g++ 4.0.2.

  * Applied patch to remove warnings when compiling ublas with -Wall,
    patch sent upstream.

  * Single-threaded libraries are provided as well, thanks to Waba.
    Closes: #335594.

  * hppa and m68k build with gcc 3.4.  Closes: #319232, #334959.

 -- Domenico Andreoli <cavok@debian.org>  Thu,  3 Nov 2005 13:11:05 +0100

boost (1.33.0-2) unstable; urgency=low

  * The Debian Boost Team now maintains the package.

  * Added packages for Boost.Iostreams and Boost.Wave libraries.
    Closes: #324833.

  * Added package for bcp utility.  Closes: #333530.

  * boost/tuple/detail/tuple_basic.hpp: removed name of unused parameter.
    Closes: #327167.

  * debian/rules: enabled UNICODE support for Boost.Regex.  Closes: #333703.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 18 Oct 2005 18:21:25 +0200

boost (1.33.0-1) unstable; urgency=low

  * New usptream version.  Closes: #322674.

  * debian/rules: static library of program_options is now distributed.
    Closes: #320973, #322269.

  * boost/graph/adjacency_list.hpp: fixed compiler warnings.
    Closes: #322386.

  * debian/documentation-files: updated.  Closes: #322579.

  * Fixed FTBFS on GNU/kFreeBSD.  Closes: #320677.

 -- Domenico Andreoli <cavok@debian.org>  Fri, 12 Aug 2005 12:37:35 +0200

boost (1.32.0+1.33.0-cvs20050727-1) unstable; urgency=low

  * Updated the snapshot version.  Closes: #319966.

  * Fixed shlibs version.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 27 Jul 2005 23:06:27 +0200

boost (1.32.0+1.33.0-cvs20050720-3) unstable; urgency=low

  * Added build dependency on zlib1g-dev.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 21 Jul 2005 12:34:37 +0200

boost (1.32.0+1.33.0-cvs20050720-2) unstable; urgency=low

  * Added build dependency on libbz2-dev.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 21 Jul 2005 10:08:48 +0200

boost (1.32.0+1.33.0-cvs20050720-1) unstable; urgency=low

  * New upstream snapshot version.  Closes: #318139, #318995, #306696.
    - fixed invalid include files in test library.  Closes: #296804.
    - removed extraneous empty directory in package libboost-graph1.33.0.
      Closes: #309361.

  * debian/control: libboost-graph1.33.0 suggests graphviz.  Closes: #309363.

  * debian/control: libboost-graph-dev only recommends libboost-graph1.33.0.
    Closes: #309360.

  * boost/archive/detail/interface_iarchive.hpp,
    boost/archive/detail/interface_oarchive.hpp: fixed compiler warning.
    Closes: #308291.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 20 Jul 2005 01:28:45 +0200

boost (1.32.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rebuild against g++-4.0 for the C++ ABI transition, adding "c2" to
    the name of each of the library packages and conflicting with the
    old versions.

 -- Steve Langasek <vorlon@debian.org>  Mon, 18 Jul 2005 19:10:24 -0700

boost (1.32.0-6) unstable; urgency=low

  * debian/control: libboost-serialization-dev now replaces libboost-dev
    properly.

 -- Domenico Andreoli <cavok@debian.org>  Thu,  7 Apr 2005 10:46:00 +0200

boost (1.32.0-5) unstable; urgency=low

  * debian/control: libboost-dev now suggests also
    libboost-program-options-dev and libboost-serialization-dev.

  * debian/control, debian/rules: added package libboost-serialization-dev.
    closes: #292596.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 30 Mar 2005 17:56:57 +0200

boost (1.32.0-4) unstable; urgency=low

  * debian/rules: symbolic link to HTML/boost documentation directory
    is now properly installed.  Closes: #290333.

  * boost/test/detail/wrap_stringstream.hpp: fixed workaround (from
    upstream CVS).  Closes: #300330.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 22 Mar 2005 16:44:31 +0100

boost (1.32.0-2) unstable; urgency=low

  * debian/rules: debug libraries are now really installed in package
    libboost-dbg.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 10 Jan 2005 01:36:46 +0100

boost (1.32.0-1) experimental; urgency=low

  * New upstream version.  Closes: #282871.
    - boost/pool/detail/pool_construct.inc and
      boost/pool/detail/pool_construct_simple.inc are correctly installed
      by package libboost-dev.  Closes: #284076.

  * debian/control, debian/rules: added package libboost-dbg.
    Closes: #279883.

  * debian/control, debian/rules: added packages for Boost.Program_options.

 -- Domenico Andreoli <cavok@debian.org>  Tue,  7 Dec 2004 15:22:49 +0100

boost (1.31.0-9) unstable; urgency=low

  * More things fixed for indirect_traits in boost/detail.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 11 Nov 2004 16:59:04 +0100

boost (1.31.0-8) unstable; urgency=low

  * Moved indirect_traits to boost/detail. Fixed things here and
    there (from upstream CVS).  Closes: #278889.

  * boost/numeric/ublas/banded.hpp: fixed gcc-3.4 compilation error.
    Closes: #276652.

  * tools/regression/run_tests.sh: fix setting of BOOST_BUILD_PATH.

  * debian/control: flex is used instead of flex-old.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 11 Nov 2004 16:04:09 +0100

boost (1.31.0-7) unstable; urgency=medium

  * boost/spirit/core/assert.hpp: fixed typo in BOOST_SPIRIT_ASSERT
    macro definition (from upstream CVS).  Closes: #267991.

  * libs/graph/src/Makefile: uses -O3 instead of -O to work around
    gcc-3.3 bug #248207 on amd64.  Closes: #270156.

  * Added random_device.cpp as example file of libboost-dev package
    and added a note in libboost-dev's README.Debian.  Closes: #261719.

 -- Domenico Andreoli <cavok@debian.org>  Thu,  9 Sep 2004 16:06:48 +0200

boost (1.31.0-6) unstable; urgency=low

  * debian/rules: removed package bjam as it is now built from a separate
    source package, boost-jam.

  * boost/iterator/iterator_adaptor.hpp: removed the useless inclusion
    of is_xxx.hpp (from upstream CVS).

  * debian/control: libboost-dev does not depend on libboost-python-dev
    any more.

  * boost/date_time/posix_time/ptime.hpp: Add constructor from special_values
    type; upstream bug fix
    (http://lists.boost.org/MailArchives/boost-users/msg06801.php)

 -- Steve M. Robbins <smr@debian.org>  Sun, 25 Jul 2004 09:41:03 -0400

boost (1.31.0-5) unstable; urgency=low

  * libs/python/build/Jamfile: boost-python shared library is now linked
    to libpython2.3.  Closes: #243089.

  * boost/graph/isomorphism.hpp: changed type of u1 and u2 in edge_cmp
    from vertex1_t to int (from upstream CVS).
    boost/graph/detail/adjacency_list.hpp: fixed bug with regards to
    in_edge_list for undirected graphs (from upstream CVS).
    Closes: #245390.

  * boost/format/internals.hpp: changed format_item::truncate_ 's type
    from int to streamsize (from upstream CVS).  Closes: #247643.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 19 May 2004 22:19:32 +0200

boost (1.31.0-4) unstable; urgency=low

  * debian/control: libboost-python-dev now replaces old
    libboost-dev.  Closes: #243432.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 13 Apr 2004 20:55:24 +0200

boost (1.31.0-3) unstable; urgency=low

  * debian/control: libboost-dev depends on libboost-python-dev.
    A few header files include headers in <boost/python/detail/...>,
    for some strange reason.  Closes: #242714, #242801.

  * debian/control: libboost-dev suggests all the libboost-*-dev
    packages.  Closes: #242335.

  * debian/rules: proper bjam man page is created.

  * Move <boost/python.hpp> to libboost-python-dev package.

 -- Domenico Andreoli <cavok@debian.org>  Sat, 10 Apr 2004 16:59:35 +0200

boost (1.31.0-2) unstable; urgency=low

  * Added symlinks in -dev packages to ease linking of programs which
    use Boost libraries.

  * Added symlink to allow dynamic linking to boost-filesystem shared
    library.

  * Updated Debian standards version to 3.6.1.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 22 Mar 2004 02:34:25 +0100

boost (1.31.0-1) unstable; urgency=low

  * New upstream version.  Closes: #231951, #236016.
    - builds with Python 2.3.  Closes: #206083.
    - new bjam package (thanks, Vladimir Prus)
    - new package for shared libboost-filesystem

  * libs/date_time/doc/class_date.html: Fix doc typo.  Closes: #223236.

 -- Steve M. Robbins <smr@debian.org>  Mon,  8 Mar 2004 23:10:37 -0500

boost (1.30.2-3) unstable; urgency=low

  * debian/rules: Build "<threading>multi" libraries.  Thanks to
    Domenico Andreoli for the patch.

  * README.Debian: Document -D_REENTRANT required for threaded
    applications.

 -- Steve M. Robbins <smr@debian.org>  Sat, 31 Jan 2004 17:24:17 -0500

boost (1.30.2-2) unstable; urgency=low

  * debian/control(Uploaders): Add Domenico Andreoli.

  * debian/rules:
    libs/graph/src/Makefile: Define _REENTRANT, per policy 10.2.

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Oct 2003 13:57:35 -0500

boost (1.30.2-1) unstable; urgency=low

  * New upstream version.  Closes: #211715.

  * boost/numeric/interval/detail/c99_rounding_control.hpp: fix typo.
    Closes: #203358.

  * boost/filesystem/exception.hpp:
  * libs/filesystem/src/exception.cpp: Add implementation of who(), path1(),
    and path2().  (Thanks, Benjamin Dauvergne).  Closes: #196830.

 -- Steve M. Robbins <smr@debian.org>  Sun, 12 Oct 2003 12:11:00 -0400

boost (1.30.0-4) unstable; urgency=low

  * boost/math/quaternion.hpp: Apply supplied patch to fix a GCC 3.3
    compile problem.  (Thanks, Marcelo E. Magallon).  Closes: #199270.

  * libboost-doc:
    - Fix broken links.  Closes: #199646.
    - Use symlink to /usr/include/boost, rather than duplicating
      header files.  Suggest libboost-dev.  Closes: #174979, #175444.
    - Include libs/*/examples not already included in HTML.  Closes: #191704.

 -- Steve M. Robbins <smr@debian.org>  Fri, 11 Jul 2003 18:13:32 -0400

boost (1.30.0-3) unstable; urgency=low

  * boost/config/compiler/gcc.hpp: Do not warn about GCC 3.3.
    Closes: #193862.

  * boost/python/object/make_ptr_instance.hpp: Add typename keyword,
    suggested by Dave Abrahams posting referenced in bug report
    (thanks, Ben Burton).  Closes: #198524.

  * boost/python/converter/as_to_python_function.hpp: Qualify function
    call; workaround for apparent bug in GCC 3.3.  (Thanks, Romain
    Lerallut).  Closes: #192481.

 -- Steve M. Robbins <smr@debian.org>  Mon, 26 May 2003 19:17:45 -0400

boost (1.30.0-2) unstable; urgency=low

  * debian/rules: Move httrack call to binary-indep.  Closes: #187740.

 -- Steve M. Robbins <smr@debian.org>  Sat,  5 Apr 2003 18:43:08 -0500

boost (1.30.0-1) unstable; urgency=low

  * New upstream.  Closes: #186256.

  * debian/copyright: Include copyright and license statement for each
    library.  Closes: #183153.

 -- Steve M. Robbins <smr@debian.org>  Sun, 30 Mar 2003 23:50:57 -0500

boost (1.29.0-3) unstable; urgency=low

  * Migrate to GCC 3.2.  Closes: #167030, #176269.
    - Do not build with stlport.

 -- Steve M. Robbins <smr@debian.org>  Sun, 12 Jan 2003 23:47:19 -0500

boost (1.29.0-2) unstable; urgency=low

  * debian/rules: Install Boost.Test static libs.  Closes: #167106.

  * boost/pool/singleton_pool.hpp: Apply supplied patch (thanks Alexander
    Kjeldaas).  Closes: #167198.

 -- Steve M. Robbins <smr@debian.org>  Sat,  2 Nov 2002 19:32:12 -0500

boost (1.29.0-1) unstable; urgency=low

  * New upstream version.  Closes: #164830.

 -- Steve M. Robbins <smr@debian.org>  Sat, 26 Oct 2002 15:11:17 -0400

boost (1.28.0-4) unstable; urgency=low

  * Build with python 2.2.  Closes: #159533.
    The shared lib ABI changes, but the soname cannot, so introduce
    conflicting/replacing package for libboost-python.

 -- Steve M. Robbins <smr@debian.org>  Fri, 13 Sep 2002 22:54:25 -0400

boost (1.28.0-3) unstable; urgency=low

  * libs/graph/src/Makefile: build using -I/usr/include/stlport.
    Closes: #150002.

  * debian/control: change section of -doc package to match ftp
    overrides.

 -- Steve M. Robbins <smr@debian.org>  Fri, 14 Jun 2002 18:19:09 -0400

boost (1.28.0-2) unstable; urgency=low

  * libs/graph/src/Makefile: revert patch to that used in 1.27.0-4,
    so that the shared libs are also built with optimization.
    Closes: #148056.

 -- Steve M. Robbins <smr@debian.org>  Fri, 24 May 2002 14:04:58 -0400

boost (1.28.0-1) unstable; urgency=low

  * New upstream version.

  * Set YACC= in debian/rules to inhibit regenerating jam parser source.
    This makes for smaller debian diffs (thanks, David Abrahams).

  * Drop the examples package.  Code examples are in the doc package.

 -- Steve M. Robbins <smr@debian.org>  Fri, 17 May 2002 20:46:44 -0400

boost (1.27.0-4) unstable; urgency=low

  * libs/graph/src/Makefile: build graph lib with optimization.

  * control: Do not build-depend on libstlport4.5-dbg, nor on texinfo.

  * Split docs into new libboost-doc package, suggested by libboost-dev.
    The -doc package replaces /usr/share/doc-base/Boost from the former -dev
    package.  Complete the list of documentation files.  Closes: #143128.

  * debian/README.Debian: add note for newbies (thanks, Laurent Bonnaud).
    Closes: #142634.

 -- Steve M. Robbins <smr@debian.org>  Sat, 20 Apr 2002 19:31:38 -0400

boost (1.27.0-3) unstable; urgency=low

  * Build shared library packages.
    - build graph lib with -fPIC.  Closes: #133259.

 -- Steve M. Robbins <smr@debian.org>  Sun,  3 Mar 2002 14:39:18 -0500

boost (1.27.0-2) unstable; urgency=low

  * boost/detail/atomic_count.hpp: Do not use atomic_count_linux.hpp; the
    latter mistakenly uses <asm/atomic.h> which turns out to be a bad idea.
  * libs/graph/src/Makefile: do not use "-g" flag; some of the symbols
    are so large as to upset the assembler on the alpha.

 -- Steve M. Robbins <smr@debian.org>  Thu, 28 Feb 2002 18:45:06 -0500

boost (1.27.0-1) unstable; urgency=low

  * New upstream version.

 -- Steve M. Robbins <smr@debian.org>  Mon, 25 Feb 2002 18:53:58 -0500

boost (1.26.0-4) unstable; urgency=low

  * control(source): build-depend on libstlport4.5-dev.
  * control(libboost-dev): depend on libstlport4.5-dev.
    - new stlport package just got into the archive
  * control(libboost-examples): remove dependency on libboost-dev.
    - depending on arch "any" package will hold it up until the latter
      is built on all arches.
  * document reason for depending on STLPort.  Closes: #131516.

 -- Steve M. Robbins <smr@debian.org>  Sat,  2 Feb 2002 08:11:28 -0500

boost (1.26.0-3) unstable; urgency=low

  * control: change libboost-regex-dgb package to priority extra,
    to agree with ftp override file.
  * Don't build dir_it library, as it is not part of Boost.
    - don't build-depend on unzip. Closes:  #130290.

 -- Steve M. Robbins <smr@debian.org>  Sat, 26 Jan 2002 11:08:31 -0500

boost (1.26.0-2) unstable; urgency=low

  * boost/detail/limits.hpp: determine endianness using <endian.h>
    Thanks to Daniel Jacobowitz for the tip.

 -- Steve M. Robbins <smr@debian.org>  Tue, 22 Jan 2002 11:38:43 -0500

boost (1.26.0-1) unstable; urgency=low

  * New maintainer.  Closes: #123483.
  * New upstream version.  Closes: #117106, #107802.
  * Build-depend on flex, bison, and texinfo.  Closes: #98979.
  * Ship all the boost headers, including all of boost/pending.
    Closes: #108922, #108925.
  * Fixed up the descriptions.
    Closes: #97947, #109193, #124899, #124900, #124901, #125620, #125621.
  * Register docs with doc-base.  Closes: #99396.

 -- Steve M. Robbins <smr@debian.org>  Sun, 20 Jan 2002 23:10:28 -0500

boost (1.21.1-1) unstable; urgency=low

  * First upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Mon, 12 Mar 2001 23:37:49 +0100
